#!/usr/bin/perl

# cancel.cgi - Annulation des dernieres modifs
# Version 1.2

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

# Variables
do ("/usr/local/lib/slis-sys.inc.pl");
load_config();

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

if (!(-e "$QUEUE/lock"))
{
  `mv $QUEUE/error_log /tmp` ;
  `rm -rf $QUEUE/*` ;
  `mv /tmp/error_log $QUEUE/error_log` ;
  # Ecriture des infos
  print "<BR><BR><CENTER><H3><I>Les derni&egrave;res
  modifications sont annul&eacute;es</I></H3>\n</CENTER>" ;
}
else
{
print "<BR><BR><CENTER><H3><I><FONT COLOR=#FF0000>Impossible
d'annuler!<BR>
Un v&eacute;rou a &eacute;t&eacute; trouv&eacute;: une validation
est peut-&ecirc;tre en cours. Recommencez dans
  quelques minutes...</FONT>
<P>Si vous pensez qu'une validation ne peut pas &ecirc;tre en cours, vous
pouvez supprimer ce v&eacute;rou et purger la file d'attente des actions
non valid&eacute;es en lancant une <A HREF=/cgi-bin/purge.cgi>purge</A>.
 Soyez vraiment s&ucirc;r de ce que vous faites!
</I></H3>\n</CENTER>"; }

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;
