#!/usr/bin/perl 

# params_admin.cgi - parametres de l'administrateur
# Version 1.0

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

# Variables
do ("/usr/local/lib/slis-sys.inc.pl");
load_config();

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

if ($html->param('Email') eq "") {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; d'E-mail.\n";
  print "<A HREF=/cgi-bin/params_admin_form.cgi>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

sub ControlEmail
 {
  return @_[0]=~/.+@.+\..+/ ;  
 }

if ( !(&ControlEmail ($html->param('Email')))) {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; d'E-mail valide.\n";
  print "<A HREF=/cgi-bin/params_admin_form.cgi>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

open(PARAMS,">$BASE/params_admin.txt");

# Ecriture dans le fichier
print PARAMS $html->param('Nom'),"\n";
print PARAMS $html->param('Prenom'),"\n";
print PARAMS $html->param('Email'),"\n";
print PARAMS $html->param('Tel'),"\n";

# Ecriture du resultat
print "<CENTER><H3><I>Nouveaux param&egrave;tres pris en compte</I></H3>\n" ;

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;

close(PARAMS);
