#!/usr/bin/perl 

# password.cgi - Changement mot de passe administrateur
# Version 1.0

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

# Variables
do ("/usr/local/lib/slis-sys.inc.pl");
load_config();

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

# Test de validite
if ( $html->param('pass1') ne $html->param('pass2')) {
  print "<CENTER>";
  print "Les 2 mots de passe ne sont pas identiques\n<BR>";
  print "<A HREF=/password.html>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

# Cryptage du mot de passe.
$crypted_pass= crypt($html->param('pass1'),"Ci");

# Ecriture dans le fichier
`rm -rf /tmp/users` ;
`grep -v "admin" /etc/hadmin/conf/users > /tmp/users` ;
open (USERS,">>/tmp/users");
print USERS "admin:",$crypted_pass;
close(USERS);
`rm -rf /etc/hadmin/conf/users`;
`cp /tmp/users /etc/hadmin/conf/users`;
`chmod 600 /etc/hadmin/conf/users`;
`rm -rf /tmp/users`;

# Ecriture du resultat
print "<CENTER><H3><I>Le mot de passe a &eacute;t&eacute; chang&eacute;.";
print "\n</I></H3></CENTER>" ;

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;
 
