#!/usr/bin/perl 

# web_nom_webmaster.cgi - Nomination du webmaster
# Version 1.1

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998,1999 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
# 

# Variables
do ("/usr/local/lib/slis-sys.inc.pl");
load_config();

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

if ($html->param('username') eq "") {
  print "<CENTER>";
  print "Vous n'avez pas entr&eacute; le nom d'utilisateur<BR>\n";
  print "<A HREF=/cgi-bin/web_nom_webmaster_form.cgi>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }
$u=$html->param('username') ;
if ($u eq "root" || $u eq "hadmin" || $u eq "admin" || $u eq "carmi" ||
$u eq "bin" || $u eq "daemon" || $u eq "adm" || $u eq "lp" || $u eq
"sync" || $u eq "mail" || $u eq "news" || $u eq "uucp" || $u eq
"operator" || $u eq "gopher" || $u eq "ftp" || $u eq "nobody" || $u eq
"distribs" || $u eq "squid" || $u eq "pop" || $u eq "bzeznik") {
  print "<CENTER>";
  print "Vous n'avez pas le droit d'affecter cet utilisateur<BR>\n";
  print "<A HREF=/cgi-bin/web_nom_webmaster_form.cgi>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

$username=$html->param('username');
$exist=`cut -d: -f1 /etc/passwd |grep -x $username`;
if ("$exist" ne "$username\n") {
  print "<CENTER>";
  print "Cet utilisateur n'existe pas\n<BR>";
  print "Vous devez entrer un login que vous avez
pr&eacute;c&eacute;demment g&eacute;n&eacute;r&eacute; grace aux fonctions
de cr&eacute;ation d'utilisateurs.<BR>";
  print "<A HREF=/cgi-bin/web_nom_webmaster_form.cgi>RECOMMENCEZ.</A>\n";
  print "</CENTER></BODY></HTML>";
  exit;
  }

# Ecriture dans le fichier
open (WEBMAST,">$QUEUE/webmaster");
print WEBMAST $html->param('username');
close WEBMAST;

# Ecriture du resultat
print "<CENTER><H3><I>Les informations ont &eacute;t&eacute; enregistr&eacute;es" ;
print "\n</I></H3><P>Elles seront prises en compte lors de la" ;
print " prochaine validation.<P>\n" ;
print "\n";

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;

