<?
	session_start();
?>	
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=iso-8859-1">
	<TITLE></TITLE>
	<META NAME="GENERATOR" CONTENT="StarOffice/5.2 (Linux)">
	<META NAME="AUTHOR" CONTENT="Benoit Lion">
	<META NAME="CREATED" CONTENT="20001029;8505800">
	<META NAME="CHANGEDBY" CONTENT="Benoit Lion">
	<META NAME="CHANGED" CONTENT="20001211;22595700">
</HEAD>
<BODY BGCOLOR="#ffffff">
<?
if ( $version=="menu")
{
	print("<SCRIPT LANGUAGE=JavaScript SRC=menu_dhcp.js></SCRIPT>");
	print("<BR><BR><BR>");
}	
?>

<img SRC="dhcp2.gif" NAME="Image1" BORDER=0 height=78 width=417 align=BOTTOM>
<ul>
<h3>
DHCP <a href="#intro">introduction</a></h3>

<h3>
<a href="#init">Initialisation de la plage d'adresses</a></h3>

<h3>
Mise &agrave; jour de la table mat&eacute;riel</h3>

<ul>
<h3>
<a href="#import_data">Importation de donn&eacute;es</a></h3>

<ul>
<h3>
<a href="#import_file">Import Fichier</a></h3>

<h3>
<a href="#import_file">Import Presse-papier</a></h3>

<h3>
<a href="#import_arp">Import Arpwatch</a></h3>
</ul>

<h3>
<a href="#saisie">Saisie d'adresse</a> (ajout-suppression-modification)</h3>
</ul>

<h3>
<a href="#liste_adr">Liste des adresses</a></h3>

<h3>
<a href="#maj_dhcp">Mise &agrave; jour du serveur DHCP</a></h3>

<h3>
<a href="#controle_arp">Contr&ocirc;le ARPWATCH</a></h3>
</ul>

<br>&nbsp;
<p><a NAME="intro"></a><b>DHCP introduction</b>
<p>Le serveur DHCP distribue les configurations TCP-IP aux stations du
r&eacute;seau. DHCP peut attribuer les adresses dynamiquement ou statiquement
( une station aura toujours la m&ecirc;me adresse ). Il est possible de
g&eacute;rer les deux &agrave; partir de l'interface.
<br>Pour les adresses statiques, il faut tenir &agrave; jour une base du
mat&eacute;riel indiquant pour chaque MAC adresse (l'adresse "hardware"
fournie
par le fabricant de la carte r&eacute;seau) une adresse ip fixe, ainsi
qu'un nom de machine et &eacute;ventuellement un ou plusieurs alias.
<br>Pour les adresses dynamiques, l'interface permet de g&eacute;rer une
seule plage d&eacute;finie par une adresse de <b>d&eacute;but</b> et une
adresse de <b>fin</b>. ( voir "<a href="#maj_dhcp">Mise &agrave; jour du
serveur dhcp</a>"). Cette plage ne devra pas entrer en conflit avec les
adresses fixes.
<br>Le serveur DHCP fournira ces informations pour une dur&eacute;e donn&eacute;e
( dur&eacute;e de bail r&eacute;glable par l'interface ). Tous les diff&eacute;rents
param&egrave;tres ( domaine, dns , serveur wins et ntp ) peuvent &ecirc;tre
r&eacute;gl&eacute;s &agrave; partir de l'interface.
<p><a NAME="init"></a><b>Initialisation de la plage d'adresses</b>
<p>La premi&egrave;re op&eacute;ration consiste &agrave; initialiser la
plage des adresses utilisables. Cette initialisation ne touche pas la table
du mat&eacute;riel, elle cr&eacute;e seulement une table des adresses ip
qui pourront &ecirc;tre g&eacute;r&eacute;es par l'interface. La plage
est propos&eacute;e automatiquement &agrave; partir de la configuration
de l'interface eth1. Si eth1 n'existe pas, alors la configuration d'eth0
est utilis&eacute;e. Si la plage des adresses calcul&eacute;es n'est pas
une classe C, alors seulement une partie de la classe B est propos&eacute;e,
ceci afin de ne pas surcharger la table. Dans tous les cas, les adresses
de d&eacute;but et de fin de cette plage restent modifiables par l'utilisateur.
<font color="#FF0000">Cette
intialisation peut &ecirc;tre relanc&eacute;e autant de fois que l'on veut.</font>
<br>&nbsp;
<p><b>Mise &agrave; jour de la table mat&eacute;riel</b>
<p>La table du mat&eacute;riel peut &ecirc;tre renseign&eacute;e par plusieurs
sources :
<p><a NAME="import_data"></a><b>Importation de donn&eacute;es</b>
<ul>
<h3>
<font color="#FF0000">Attention : toutes les importations remplacent int&eacute;gralement
la table du mat&eacute;riel</font></h3>
<a NAME="import_file"></a><b>Import Fichier :&nbsp;</b> Permet d'importer
un fichier ASCII (base de donn&eacute;es, feuille de tableur ). <font color="#FF0000">Le
format du fichier est d&eacute;crit dans l'&eacute;cran d'importation</font>.
Plusieurs caract&egrave;res s&eacute;parateurs sont reconnus. Le bouton
"parcourir" ouvre une fen&ecirc;tre classique de recherche de fichier sur
le pc client de l'interface. Le fichier est alors envoy&eacute; en t&eacute;l&eacute;chargement
sur le serveur SLIS. <font color="#FF0000">En cas d'erreur, toute la transaction
est annul&eacute;e</font>.
<p><a NAME="import_pp"></a><b>Import Presse-papier :</b> A partir d'une
application, et pourvu qu'elle respecte le format de donn&eacute;es vu
pr&eacute;c&eacute;demment, il est possible d'effectuer un simple "copier/coller"
entre l'application et l'interface. <font color="#FF0000">En cas d'erreur,
toute la transaction est annul&eacute;e.</font>
<p><a NAME="import_arp"></a><b>Import Arpwatch :</b> Un fichier issu d'arpwatch
peut aussi servir &agrave; renseigner la table du mat&eacute;riel. Le chemin
par d&eacute;faut d'Arpwatch est propos&eacute;. Il est modifiable, un
fichier de m&ecirc;me type peut &ecirc;tre d&eacute;pos&eacute; ailleurs
sur le serveur SLIS. Dans un fichier Arpwatch, une m&ecirc;me adresse IP
peut exister avec des adresses MAC diff&eacute;rentes (cas du changement
de carte r&eacute;seau, par exemple ). Seul l'enregistrement ayant le&nbsp;
"Timestamp" leplus r&eacute;cent sera pris en compte.
<br>&nbsp;
<br>&nbsp;</ul>
<a NAME="saisie"></a><b>Saisie d'adresse (ajout-suppression-modification)
:</b>
<p>L'ajout d'une machine dans la table mat&eacute;rielle se fait &agrave;
partir d'une liste d'adresses ip libres. Toute adresse pr&eacute;sente
dans la table des adresses utilisables ( initialis&eacute;e au d&eacute;part
), et non pr&eacute;sente dans la table du mat&eacute;riel est consid&eacute;r&eacute;e
libre. Un routeur, par exemple, qui ne sera jamais client dhcp doit &ecirc;tre
d&eacute;clar&eacute; dans la table mat&eacute;rielle, pour que son adresse
ip soit bien r&eacute;serv&eacute;e.
<br>La modification ne permet de changer que les noms et alias.
<br>Une modification d'adresse ip ou d'adresse MAC passe obligatoirement
par la <font color="#FF0000">suppression</font> de cette adresse pour par
sa cr&eacute;ation.
<p><a NAME="liste_adr"></a><b>Liste des adresses :</b>
<p>Cette liste peut &ecirc;tre tri&eacute;e sur les diff&eacute;rents champs.
Le tri par constructeur utilise les trois premiers octets des MAC adresses.
La table des constructeurs est livr&eacute;e avec l'interface. Elle pourra
&ecirc;tre remise &agrave; jour ult&eacute;rieurement.
<p><a NAME="maj_dhcp"></a><b>Mise &agrave; jour du serveur DHCP :</b>
<p>Pour &ecirc;tre prises en compte dans le r&eacute;seau, les modifications
de la table mat&eacute;riel doivent &ecirc;tre remises &agrave; jour dans
le serveur dhcp. Le fichier dhcpd.conf est reconstruit automatiquement.
Les options sont toutes modifiables. Une option non renseign&eacute;e ne
sera pas transmise au fichier dhcd.conf ( exemple : serveur netbios-name,
serveur ntp ... ). Pour relancer le serveur DHCP , il faut <font color="#FF0000">imp&eacute;rativement</font>
cliquer sur le bouton "VALIDER" de l'interface SLIS.
<br>La plage d'adresse dynamique peut &ecirc;tre renseign&eacute;e avec
les adresses de d&eacute;but et de fin de plage en fin de formulaire.
<p><a NAME="controle_arp"></a><b>Contr&ocirc;le ARPWATCH :</b>
<p>Si Arpwatch tourne sur le serveur SLIS, ou bien si un fichier issu d'ARPWATCH
a &eacute;t&eacute; d&eacute;pos&eacute; sur le serveur SLIS (le chemin
par d&eacute;faut peut-&ecirc;tre modif&eacute; ), un contr&ocirc;le permet
de comparer la coh&eacute;rence de ce fichier et de la table mat&eacute;rielle.
Les warnings indiquent en orange des anomalies, ( ip ou Mac adresse non
r&eacute;pertori&eacute;e des deux c&ocirc;t&eacute;s). En <font color="#FF0000">rouge</font>
sont indiqu&eacute;es les erreurs graves ( adresse MAC identiques pour
IP diff&eacute;rentes, ou IP identiques pour MAC diff&eacute;rentes).
<br>&nbsp;
<br>&nbsp;
</body>
</html>
