<?
session_start();
print("<HTML><BODY BGCOLOR=#ffffff>");

if ( $version=="menu")
{
	print("<SCRIPT LANGUAGE=JavaScript SRC=menu_dhcp.js></SCRIPT>");
	print("<BR><BR><BR>");
}	

include ("dhcp_lib.php");

/* commencer par sauvegarder les choix dans la table paramtres */

	if ( ! valid_ip($netmask) )
	{
		print ("<P><B>Adresse ip netmask $netmask invalide</B>");
		exit;
	}
	if ( ! valid_ip($broadcast) )
	{
		print ("<P><B>Adresse ip broadcast $broadcast invalide</B>");
		exit;
	}
	if ( ! valid_ip($routeur) )
	{
		print ("<P><B>Adresse ip routeur $routeur invalide</B>");
		exit;
	}
	if ( $subnet <> "")
	{	if ( ! valid_ip($subnet) )
		{
			print ("<P><B>Adresse ip subnet $subnetinvalide</B>");
			exit;
		}
	}
	if ( $netbios_name <> "" )
	{
		if ( ! valid_ip($netbios_name) )
		{
			print ("<P><B>Adresse ip netbios_name $netbios_name invalide</B>");
			exit;
		}
	}
	if ( ! valid_liste_ip($ip_dns) )
	{
		print ("<P><B>Liste dns invalide</B>");
		exit;
	}

	/************** tests sur la plage d'adresses dynamique  ********************/
	$dyn_first=chop($dyn_first);
	$dyn_last=chop($dyn_last);

	if ( ($dyn_first <> "" ) || ( $dyn_last <> "" ) )
	{
		if ( ! valid_ip($dyn_first) ) 
		{
			print ("<P><B>Adresse dbut de page dynamique $dyn_first invalide</B>");
			exit;
		}

		if ( ! valid_ip($dyn_last) ) 
		{
			print ("<P><B>Adresse fin de page dynamique $dyn_last invalide</B>");
			exit;
		}

		$dyn_first_int=ip2long($dyn_first);
		$dyn_last_int=ip2long($dyn_last);

		if ( $dyn_first_int >= $dyn_last_int )
		{
			print ("<P><B>Adresse dbut ($dyn_first) <P>");
			print("et fin ($dyn_last) de plage dynamique incohrentes</B>");
			exit;
		}

		/* vrifier que les adresses sont bien dans le rseau */
		$mask_int=ip2long($netmask);
		$subnet_int=ip2long($subnet);
		
		$test = $dyn_first_int & $mask_int ;
		if ( $test <> $subnet_int )
		{
			print ("l'adresse de dbut de plage $dyn_first n'est pas une adresse du rseau $subnet <P>");
			exit;
		}
		$test = $dyn_last_int & $mask_int ;
		if ( $test <> $subnet_int )
		{
			print ("l'adresse de fin de plage $dyn_last n'est pas une adresse du rseau $subnet <P>");
			exit;
		}

		/* vrifier si des adresses statiques n'existent pas dans la plage dynamique */
		/* ni conflit avec adresse routeur */
		if ( ($dyn_first_int<>0) && ($dyn_last_int<>0) )
		{
			$v_query=pg_exec($database,"select ip,mac,nom from materiel");
			$v_count=pg_numrows($v_query);
			if ( $v_count <> 0 )
			{
		  		$z=0;
				$flag=0;
		  		while ( $z <> $v_count )
		  		{
		  			$row=pg_fetch_row($v_query,$z);
		  			$ip=$row[0];
		  			$mac=$row[1];
		  			$nom=rtrim($row[2]);
	
					$ip_int=ip2long($ip);
					if ( ( $ip_int >= $dyn_first_int ) && ( $ip_int <= $dyn_last_int ) )
					{
						print ("L'adresse $ip $mac $nom se trouve dans la plage dynamique <P>");
						$flag=1;
					}
		  			$z++;
		  		}
			}
			$routeur_int=ip2long($routeur);
			if ( ( $routeur_int >= $dyn_first_int ) && ( $routeur_int <= $dyn_last_int ) )
			{
				print ("L'adresse du routeur se trouve dans la plage dynamique <P>");
				$flag=1;
			}
			if ( $flag <>0 )
				exit;
		}

	}
	/************** fin tests sur la plage d'adresses dynamique  ********************/

	$v_query=pg_exec($database,"update param
					set domaine ='$domaine',netmask='$netmask' ,
					broadcast='$broadcast', subnet='$subnet',
					ip_dns='$ip_dns',routeur='$routeur',
					ntp='$ntp', netbios_name='$netbios_name',
					node_type='$node_type' , bail_normal='$bail_normal',
					bail_maxi='$bail_maxi' , dyn_first='$dyn_first', dyn_last='$dyn_last'");
	if ( ! $v_query )
	{ print ("<HR><H2>problme mise  jour table param </H2>");
	  print ("<H3> contacter administrateur SLIS</H3>");
	  exit;
	}

	print ("<H1>Rinitialisation du serveur dhcp</H1>");

	$fichier="/home/hadmin/cgi-bin/queue/dhcpd.conf";
	$flag="/home/hadmin/cgi-bin/queue/dhcp";

	print ("<BR> Ecriture fichier <B>$fichier en cours</B>");
	flush();

	if ( ! $fp=fopen($fichier,"w" ) )
	{
		print("<H2>Ecriture fichier $fichier impossible");
		exit;
	}
	if ( ! $fpfl=fopen($flag,"w" ) )
	{
		print("<H2>Ecriture fichier $flag impossible");
		exit;
	}
	fclose($fpfl);
        fputs($fp,"ddns-update-style ad-hoc;\n");
	fputs($fp,"authoritative; \n");
	fputs($fp,"boot-unknown-clients false;\n");
	fputs($fp,"allow unknown-clients;\n");
	fwrite($fp,"use-host-decl-names on;\n");
	fwrite($fp,'option domain-name "'.$domaine.'" ;');
	fwrite($fp,"\n");
	fwrite($fp,"option domain-name-servers ".$ip_dns.";\n");
	if ( $ntp <> "" )
		fwrite($fp,"option ntp-servers ".$ntp .";\n");
	if ( $netbios_name <> "" )
		fwrite($fp,"option netbios-name-servers ".$netbios_name .";\n");

	fwrite($fp,"option netbios-node-type 8;\n\n\n");
 	
 	fwrite($fp,"shared-network ac {  \n");
 	
        /*  Le bail normal est cede pour 12 heures. */

        fwrite($fp,"default-lease-time $bail_normal; \n");

        /* Le bail maximal est cede pour 24 heures. */

        fwrite($fp,"max-lease-time $bail_maxi; \n");


        fwrite($fp,"subnet $subnet netmask $netmask \n");
	fwrite($fp,"{ \n");
        fwrite($fp,"option broadcast-address $broadcast ; \n");
        fwrite($fp,"option routers $routeur; \n");

	/* ajout de la plage dynamique si elle est prcise */
	if ( ($dyn_first <> "" ) && ( $dyn_last <> "" ) )
		fwrite($fp,"range $dyn_first $dyn_last ; \n");

        fwrite($fp," } \n");

 # Ajout par Bruno - Si eth1 presente, alors on cree un subnet pour eth0 aussi
 # sinon, dhcpd pas content...
        $sys = "/sbin/ifconfig eth1 2> /dev/null |grep Mas";
        unset($tab);
        $ifconfig = exec($sys,$tab,$retour);
        if ( count($tab) != 0 ) {
	  $sys = "/sbin/ifconfig eth0 2> /dev/null |grep Mas";
	  unset($tab);
          $ifconfig = exec($sys,$tab,$retour);
	  $tableau=explode(":",$ifconfig);
          $inet=explode(" ",$tableau[1]);
          $ip=$inet[0];
          $mask=$tableau[3];
          $net=long2ip(ip2long($ip) & ip2long($mask));
	  fwrite($fp,"subnet $net netmask $mask\n");
	  fwrite($fp,"{\n");
	  fwrite($fp,"}\n");
        }

#
#
	/* rcuprer les adresses de la table materiel */
	$v_query=pg_exec($database,"select ip,mac,nom from materiel");
	$v_count=pg_numrows($v_query);
	if ( $v_count <> 0 )
	{
	  $z=0;
	  while ( $z <> $v_count )
	  {
	  	$row=pg_fetch_row($v_query,$z);
	  	$ip=$row[0];
	  	$mac=$row[1];
	  	$nom=rtrim($row[2]);

	  	fwrite($fp,"\nhost $nom");
	  	fwrite($fp,"{\n");
	  	fwrite($fp,"hardware ethernet $mac ;\n");
	  	fwrite($fp,"fixed-address $ip ;\n	}\n");
	  	$z++;
	  }
	}


  	fwrite($fp,"\n}\n");
	
 	fclose($fp);
	print ("<BR><BR> Ecriture fichier <B>$fichier termine</B>");
	print ("<HR><CENTER><P><B><I>N'oubliez pas de cliquer sur VALIDER
        pour que le serveur DHCP soit effectivement relanc&eacute;</I></B><P></CENTER>"); 
	
?>
</BODY></HTML>



