<?php
//
// phpSysInfo - A PHP System Information Script
// http://phpsysinfo.sourceforge.net/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// $Id: sysinfo.php,v 3.0 2002/10/16 13:45:48 bzizou Exp $
//
// Default to english, but this is negotiable.
require("../inc/lib.inc.php");
if($LANGUAGE=="english")
{
        $lang = "en";
}
if ( !(isset($lang) && file_exists("../inc/lang/sysinfo/$lang.php")) ) {
	$lang = "fr";
}
include("../inc/lang/sysinfo/$lang.php");

   // Finish defining all of our global functions and variables.
require("../inc/system_functions.php");
require("../inc/color_scheme.php");

// Let the page begin.
$vhostname = sys_vhostname();
$hostip = sys_ip_addr();
include("../inc/system_header.php");

echo '<center>' . $text['title'] . ': '.$vhostname.' ( '.$hostip.' ) </center>' . "\n";

?>

<table width="90%" align="center" cellpadding="0" cellspacing="10">
<tr>
<td width="50%" valign="top">
<?php include('../inc/table_vitals.php'); ?>
<SPACER type="block" height="10">
<?php include('../inc/table_network.php'); ?>
</td>
<td width="50%" valign="top">
<?php include('../inc/table_hardware.php'); ?>
</td>
</tr>
<tr>
<td colspan="2">
<?php include('../inc/table_memory.php'); ?>
</td>
</tr>
<tr>
<td colspan="2">
<?php include('../inc/table_filesystems.php'); ?>
</td>
</tr>
</table>

<hr>

<?php include('../inc/system_footer.php'); ?>
