<?
/* $Id: zone.php,v 1.1 2003/06/16 10:06:32 bzizou Exp $

VNC gateway

This script is part of the SLIS Project initiated by the CARMI-Internet
(Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
(Acadmie de Grenoble - France 38).

This script have been writen by Bruno Bzeznik - copyright (C) 2001
Ce script  t crit par Bruno Bzeznik - copyright (C) - 2001

SLIS : Serveur de communications Linux pour l'Internet Scolaire.
Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License
along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail
to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  <slis@ac-grenoble.fr>

*/

// loading libs and init
require("../inc/html.inc.php");
require("../inc/pgsql.inc.php");
require("../inc/lib.inc.php");
require("../inc/dns.inc.php");

$cnx = dbconnect();

echo startHTML("$lang_adv_DNS");

if ($ok)
{
  // Test si la zone de saisie est vide ou pas
  if ($newzone != "")
  {
    // Test de validit du nom
    $newzone = trim($newzone);
    // Recherche des caractres interdits dans le nom de la machine et son alias
    if (ereg("[&#;:?!@%$<>*+/,.'` ]", $newzone))
    {
        $text .= "<font color=\"red\">$lang_adv_dnsnomzonepasok</font><p>";
    }
    else
    {
      // Mise  jour du nom de la zone locale s'il existe des machines
      $query = "update DNSzone set nnomzone='$newzone.local' where ";
      if ($nz != "") $query .= " nnomzone = '$nz'"; else $query .= " nomzone='$oldzone'";
      if ($result = pg_exec($cnx, $query))
      {
        $text .= "$lang_adv_dnsnomzoneok<p>";
      }
      else $text .=  "<font color=\"red\">$lang_adv_dnsnomzonepasok</font><p>";
    }
  }
}

// Recherche de l'adresseIP locale du slis
$iplocale = getIPlocal();
$infodomaine = getDomaine();

// Recherche dans la BDD de la zone dfinie autre que nomduslis.ac-versailles-fr
$query = "select nomzone, nnomzone from DNSzone where nomzone !='$infodomaine[hostname]'";
if ($result = pg_exec($cnx, $query))
{
  $line = pg_fetch_row($result, 0);
  if ($line[1] != '') 
  {
    $local = $line[1]; 
    $nz = $line[1];
  }
  else 
  {
    $local = $line[0];
    $nz = $line[1];
  }
}

$text .= "<center>$lang_adv_dnsmodifnomzone</center>\n";
$text .= "<hr width=100%>\n";

$text .= "<form name=\"majnomzone\" method=\"post\" action=\"zone.php\">\n";
if ($nz == "") $text .= "<i>$lang_adv_dnsnomzoneactuel :</i> $local\n";
else $text .= "<i>$lang_adv_dnsnomzoneactuel :</i> $nz\n";
$text .= "<p><i>$lang_adv_dnsnomnouveau</i> <input type=\"text\" value=\"\" name=\"newzone\">.local\n";
$text .= "<input type=\"hidden\" value=\"$local\" name=\"oldzone\">\n";
$text .= "<input type=\"hidden\" value=\"$nz\" name=\"nz\">\n";
$text .= "<p><center><input type=\"submit\" name=\"ok\" value=\"$lang_adv_dnstabmodifier\"></center>\n";
$text .= "</form>\n";
$text .= "<center><a href=\"index.php?action=ajouter&nz=$newzone.local\">$lang_adv_dnsretourgestiondns</a></center>\n";

$val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$text,$border,"$lang_adv_DNS",$titre_color);
$val = center($val);
$val = saut(2)."$val";
print "$val\n";

// The end
print endHTML();

pg_close($cnx);
?>


