<?php
//
// phpSysInfo - A PHP System Information Script
// http://phpsysinfo.sourceforge.net/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// $Id: table_hardware.php,v 3.0 2002/10/16 13:45:49 bzizou Exp $

require('../inc/color_scheme.php');

$sys = sys_cpu();
?>

<table width="100%" bgcolor="<?php echo $detail_border_color; ?>" border="0" cellpadding="1" cellspacing="0">
<tr>
        <td>
	<table width="100%" bgcolor="<?php echo $detail_body_color; ?>" border="0" cellpadding="2" cellspacing="0">
	<tr bgcolor="<?php echo $detail_header_color; ?>">
		<td colspan="2" align="left">
			<?php echo $f_head_open; ?>&nbsp;&nbsp;<?php echo $text['hardware']; ?>&nbsp;&nbsp;<?php echo $f_head_close; ?>
		</td>
	</tr>
	<tr>
		<td colspan="2" align="center">&nbsp;</td>
	</tr>
	<tr>
		<td align="right"><?php 
			echo $f_body_open; echo $text['numcpu']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . $sys['cpus'] . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['cpumodel']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . $sys['model'] . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['mhz']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . $sys['mhz'] . " MHz". $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['cache']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . $sys['cache'] . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['bogomips']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . $sys['bogomips'] . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right" valign="top"><?
			echo $f_body_open; echo $text['pci']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php 
			echo $f_body_open;

			$ar_buf = sys_pcibus(); 

			if ( count( $ar_buf ) ) {
				for ( $i = 0; $i < sizeof($ar_buf); $i++ ) {
					echo $ar_buf[$i] . '<br>';
				}
			} else {
				echo "<i>". $text['none'] . "</i>";
			}

			echo $f_body_close;
		?></td>
	</tr>
	<tr>
		<td align="right" valign="top"><?
			echo $f_body_open; echo $text['ide']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php 
			echo $f_body_open;

			$ar_buf = sys_idebus(); 

			ksort( $ar_buf );

			if ( count( $ar_buf ) ) {
				while ( list($key, $value) = each( $ar_buf ) ) {
					echo $key . ": " . $ar_buf[$key]["model"];
					if ( isset( $ar_buf[$key]["capacity"] ) ) {
						echo " (Capacity: " . sprintf("%.2f", $ar_buf[$key]["capacity"] / (1024 * 1024 * 2) ) . " GB )";
					}
					echo '<br>';
				}
			} else {
				echo "<i>" . $text['none']. "</i>";
			}

			echo $f_body_close;
		?></td>
	</tr>
	<tr>
		<td align="right" valign="top"><?
			echo $f_body_open; echo $text['scsi']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php 
			echo $f_body_open;

			$ar_buf = sys_scsibus(); 

			if ( count( $ar_buf ) ) {
				for ( $i = 0; $i < sizeof($ar_buf); $i++ ) {
					echo $ar_buf[$i] . '<br>';
				}
			} else {
				echo "<i>" . $text['none'] . "</i>";
			}

			echo $f_body_close;
		?></td>
	</tr>
	<tr>
		<td colspan="2" align="center">&nbsp;</td>
	</tr>
	</table>
	</td>
</tr>
</table>

