<?php
//
// phpSysInfo - A PHP System Information Script
// http://phpsysinfo.sourceforge.net/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// $Id: table_memory.php,v 3.0 2002/10/16 13:45:49 bzizou Exp $

require('../inc/color_scheme.php');

$scale_factor = 2;

$mem = sys_meminfo();

?>

<table width="100%" bgcolor="<?php echo $detail_border_color; ?>" border="0" cellpadding="1" cellspacing="0">
<tr>
        <td>
	<table width="100%" bgcolor="<?php echo $detail_body_color; ?>" border="0" cellpadding="2" cellspacing="0">
	<tr bgcolor="<?php echo $detail_header_color; ?>">
		<td colspan="5" align="left">
			<?php echo $f_head_open; ?>&nbsp;&nbsp;<?php echo $text['memusage']; ?>&nbsp;&nbsp;<?php echo $f_head_close; ?>
		</td>
	</tr>
	<tr>
		<td colspan="5" align="left">&nbsp;</td>
	</tr>
	<tr>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['type'].'</b>'; echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['percent'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['free'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['used'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['size'].'</b>'; echo $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="left"><?php echo $f_body_open . $text['phymem'] . $f_body_close; ?></td>
		<td align="left"><?
			echo $f_body_open;
			if ( $mem['ram']['percent'] == 0 ) {
				echo '<img src="../images/greendot.gif" height="10" width="1">';
			} elseif ( $mem['ram']['percent'] < 85 ) {
				echo '<img src="../images/greendot.gif" height="10" width="' . ($mem['ram']['percent'] * $scale_factor) . '">';
			} else {
				echo '<img src="../images/reddot.gif" height="10" width="' . ($mem['ram']['percent'] * $scale_factor) . '">';
			}
			echo '&nbsp;&nbsp;' . $mem['ram']['percent'] . '% ';
			echo $f_body_close;
		?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($mem['ram']['t_free']) . $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($mem['ram']['t_used']) . $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($mem['ram']['total']) . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="left"><?php echo $f_body_open . $text['swap'] . $f_body_close; ?></td>
		<td align="left"><?
			echo $f_body_open;
			if ( $mem['swap']['percent'] == 0 ) {
				echo '<img src="../images/greendot.gif" height="10" width="1">';
			} elseif ( $mem['swap']['percent'] < 85 ) {
				echo '<img src="../images/greendot.gif" height="10" width="' . ($mem['swap']['percent'] * $scale_factor) . '">';
			} else {
				echo '<img src="../images/reddot.gif" height="10" width="' . ($mem['swap']['percent'] * $scale_factor) . '">';
			}
			echo '&nbsp;&nbsp;' . $mem['swap']['percent'] . '% ';
			echo $f_body_close;
		?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($mem['swap']['free']) . $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($mem['swap']['used']) . $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($mem['swap']['total']) . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="left">&nbsp;</td>
		<td align="left"><img src="../images/trans2.gif" height="10" width="<?php echo (100 * $scale_factor); ?>"></td>
		<td align="right">&nbsp;</td>
		<td align="right">&nbsp;</td>
		<td align="right">&nbsp;</td>
	</tr>
	</table>
	</td>
</tr>
</table>

