<?PHP
/* $Id: ip_filters.php,v 3.5 2003/12/16 08:53:02 bzizou Exp $

IP FILTERS INTERFACE
This script interacts with the SQL table "security_filters" and then, with the
system script "mkfilters".

This script is part of the SLIS Project initiated by the CARMI-Internet
(Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
(Acadmie de Grenoble - France 38).

This script have been writen by Bruno Bzeznik - copyright (C) 2001
Ce script  t crit par Bruno Bzeznik - copyright (C) - 2001

SLIS : Serveur de communications Linux pour l'Internet Scolaire.
Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License
along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail
to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  <slis@ac-grenoble.fr>
*/

// loading libs and init
require("../inc/html.inc.php");
require("../inc/lib.inc.php");
require("../inc/pgsql.inc.php");
require("../inc/ip_filters.inc.php");

// Expert or novice?
$expert_menu = file_exists("$BASE/expert") ? 1 : 0;

////////////////////////////////////////////////////////////////////////////////
// Update must be done to display the form again
//echo $GLOBALS['QUEUE'];

if($updating || file_exists($GLOBALS['QUEUE']."/tbp")) {
	$content  = $lang_ipfilters_OK."<br>\n";
	$content .= "<center><img src='../images/play_anim.gif' border='0'></center>\n";
	$val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$content,$border,$lang_Validated,$titre_color,0);
	$val = center($val);
	$val = saut(2)."$val";

	echo "<html>\n";
	echo "<head>\n";
	echo "<base target='_top'>\n";
	echo "<meta HTTP-EQUIV=\"Refresh\" CONTENT=\"1;url='$PHP_SELF?action=$action'\">\n";
	echo "</head>\n";
	echo "<font FACE='Helvetica,Arial'>\n";
	echo "$val\n";
	echo "</body>\n";
	echo "</html>\n";
	return;
}




// Prepare HTML code
switch($action) {
case '' :
case 'index' :
	$title = $lang_adv_IP_filters;
	$content = IPFILTER_displayIpFilterMenu();
	break;

case 'forward_form' :
	$content = IPFILTER_forwardForm($title);
	break;

case 'input_form' :
case 'firewall_form' :	/* for compatibility only */
	$content = IPFILTER_firewallForm($title);
	break;

case 'forward_rule' :
	$content = IPFILTER_updateRules('forward',$title);
	break;

case 'forward_trash' :
	$content = IPFILTER_deleteRule('forward',$rule,$title);
	break;

case 'forward_level' :
	$content = IPFILTER_updateLevel('forward',$title);
	break;	$val = center($val);
	$val = saut(2)."$val";
	print "$val\n";


case 'forward_add' :
	$content = IPFILTER_addRule('forward',$title);
	break;

case 'forward_down' :
	$content = IPFILTER_moveRule('forward',$rule,'down',$title);
	break;

case 'forward_up' :
	$content = IPFILTER_moveRule('forward',$rule,'up',$title);
	break;

case 'input_add' :
	$content = IPFILTER_addRule('input',$title);
	break;

case 'input_rule' :
	$content = IPFILTER_updateRules('input',$title);
	break;

case 'input_down' :
	$content = IPFILTER_moveRule('input',$rule,'down',$title);
	break;

case 'input_up' :
	$content = IPFILTER_moveRule('input', $rule,'up',$title);
	break;

case 'input_trash' :
	$content = IPFILTER_deleteRule('input',$rule,$title);
	break;

case 'input_level' :
	$content = IPFILTER_updateLevel('input',$title);
	break;

case 'input_assistant' :
	$content = IPFILTER_inputAssistant($pservice,$title);
	break;

case 'print' :
	$content = IPFILTER_printRules($title);
	break;

default :
	// anti url hacking
	$title = '';
	$content = '';
	return;
}

if($content=='forward_update') {
	header("Location: $PHP_SELF?action=forward_form&updating=1");
	return;
}

if($content=='input_update') {
	header("Location: $PHP_SELF?action=input_form&updating=1");
	return;
}

$starthtml = startHTML($title);
$end = endHTML();
print $starthtml;
$val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$content,$border,$title,$titre_color,0);
$val = center($val);
$val = saut(2)."$val";
print "$val\n";
print "$links\n";
print $end;

?>
