<?PHP
/* $Id: synchro_ldap.php,v 1.6 2003/12/11 15:29:23 bzizou Exp $

Starts a synchro from the LDAP server to the SQL database to make
ldap users visible to the SLIS admin.

This script is part of the SLIS Project initiated by the CARMI-Internet
(Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
(Acadmie de Grenoble - France 38).

This script have been writen by Bruno Bzeznik - copyright (C) 2001
Ce script  t crit par Bruno Bzeznik - copyright (C) - 2001

SLIS : Serveur de communications Linux pour l'Internet Scolaire.
Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License
along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail
to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  <slis@ac-grenoble.fr>
*/

// loading libs and init
require("../inc/html.inc.php");
require("../inc/lib.inc.php");
require("../inc/pgsql.inc.php");
print startHTML("LDAP synchro");

if ($action=="do") {

  // Touch the file
  exec("touch $QUEUE/synchro_ldap");
  exec("touch $QUEUE/tbp");

  // Prepare the message
  $text = "<BR><FONT FACE=Helvetica,Arial>\n";
  $text .= "<CENTER>". $lang_Synchro_ldap_done ."<BR><BR><P>";
  $text .= "</CENTER>";

} elseif ($action=="log") {
	$monfichier = fopen("/var/log/ErrReplica.txt","r");
	if (!$monfichier) die ("Impossible  ouvrir");
	$i=1;
	while(!feof($monfichier)) {
		$ligne = fgets($monfichier,1024);
		if (!feof($monfichier)) echo "$ligne<br>";
		$i++;
	}
	fclose($monfichier);
	exit;

} elseif ($action=="change") {

	$dbh=dbconnect(); 
	$suite = 1;

	if ($status_replica != "0") { //test ip address  
		$ip = validip($ldapserv);

		if (($ip == 0) || ($IPADDR == $ldapserv)) {
			print errormsg("$lang_Revers_Ip_False");
			$suite = 0;
			exit;
		}
	}

	if ($suite == "1"){ //if adress ip is ok
			if ($status_replica =="0") {
				$value ="0";
			}
			else
			{		
			  	$value ="$status_replica:$ldapserv";
			}	
		set_option($dbh,$option,$value);
		}

  	  $text = "<FONT FACE=Helvetica,Arial>\n";
	  if ($status_replica =="0") {
  		$text .= "<BR><CENTER><B>$lang_Replica_ldap_Back</B></CENTER><BR>";
	  } 
	  else
	  {
  		$text .= "<BR><CENTER><B>$lang_Replica_ldap_Ok $ldapserv</B></CENTER><BR>";
	  }
	  $text .= "</FONT><P>";

	  $query = "select tovalid from options where tovalid='1'";
	  $result = pg_exec($dbh,$query);
	  if (pg_numrows($result)>0) {
	    print "<CENTER><I>*$lang_Options_warning</I></CENTER><P>";
	  }
}
else {
  // Prepare the form

  $text = "<TABLE bgcolor=\"#0000BB\" width=\"100%\">\n";
  $text .= "<TR><TD><FONT COLOR=\"white\" SIZE=\"2\"><CENTER>$lang_adv_Synchro_ldap<BR>\n";
  $text .= "</CENTER></FONT></TD></TR></TABLE>\n";
  $text .= "<FONT FACE=Helvetica,Arial>\n";
  $text .= "<FORM ACTION=./synchro_ldap.php?action=do METHOD=post>\n";
  $text .= "<CENTER>". $lang_Synchro_ldap_explain ."<P>";
  $text .= "<INPUT TYPE=hidden NAME=\"action\" VALUE=\"do\">\n";
  $text .= "<INPUT TYPE=submit VALUE=\"$lang_Synchro_ldap_Button\">\n";
  $text .= "</FORM></FONT><P>";


$dbh=dbconnect();
$query = "select value from options where name='REPLICA_LDAP'";
$result = pg_exec($dbh,$query);
$row = pg_fetch_row($result);

if ($row[0] != "0") {
	list ($status_replica, $status_ip) = split (":",$row[0]);
	}	
  $text .= "<TABLE bgcolor=\"#0000BB\" width=\"100%\">\n";
  $text .= "<TR><TD><FONT COLOR=\"white\" SIZE=\"2\"><CENTER>$lang_Replica_ldap<BR>\n";
  $text .= "</CENTER></FONT></TD></TR></TABLE><FONT=Helvetica,Arial>\n";
  $text .= "<FORM ACTION=synchro_ldap.php?action=change&option=REPLICA_LDAP METHOD=post>\n";
  $text .= "<TABLE ALIGN=CENTER>\n";
  $text .= "<TR><TD>$lang_Replica_ldap_Status</TD><TD><INPUT TYPE=radio NAME=\"status_replica\" VALUE=\"0\"";
  if ($row[0]=="0") {
	$text .=  " CHECKED ";
	}
  $text .= "></TD></TR>\n";

  $text .= "<TR><TD>$lang_Replica_ldap_Deport</TD><TD><INPUT TYPE=radio NAME=\"status_replica\" VALUE=\"D\"";
  if ($status_replica=="D") {
	$text .=  " CHECKED ";
	}
  $text .= "></TD></TR>\n";
  $text .= "<TR><TD>$lang_Replica_ldap_Master</TD><TD><INPUT TYPE=radio NAME=\"status_replica\" VALUE=\"M\"";
  if ($status_replica == "M") {
	$text .= " CHECKED ";
	}
  $text .= "></TD></TR>\n";
  $text .= "<TR><TD>$lang_Replica_ldap_Slave</TD><TD><INPUT TYPE=radio NAME=\"status_replica\" VALUE=\"S\"";
  if ($status_replica == "S") {
	$text .= " CHECKED ";
	}	
  $text .= "></TD></TR>\n";
  $text .= "<TR><TD COLSPAN=\"2\"></TD></TR>\n";
  $text .= "<TR><TD>$lang_Replica_ldap_Ip </TD>\n";
  $text .= "<TD> <INPUT TYPE=text NAME=\"ldapserv\" VALUE=\"$status_ip\" MAXLENGTH=16 SIZE=16></TD></TR>\n";
  $text .= "<TR><TD ALIGN=CENTER COLSPAN=2><INPUT TYPE=\"submit\" VALUE=\"OK\"></TD></TR>\n";
  $text .= "</FORM></FONT><P>";
/*
/* Non utilisable dans la version 3.0 de Slis
if ($row[0] != "0" || $status_replica != "D") {
	exec("echo \"$status_replica:$status_ip\" > $QUEUE/replica_ldap");
	exec("touch $QUEUE/tbp");
  	$text .= "<TABLE bgcolor=\"#0000BB\" width=\"100%\">\n";
  	$text .= "<TR><TD><FONT COLOR=\"white\" SIZE=\"2\"><CENTER>$lang_Replica_ldap_log<BR>\n";
  	$text .= "</CENTER></FONT></TD></TR></TABLE><FONT=Helvetica,Arial>\n";
  	$text .= "<FONT FACE=Helvetica,Arial><br>\n";
  	$text .= "<FORM ACTION=./synchro_ldap.php?action=log METHOD=post>\n";
  	$text .= "$lang_Replica_ldap_log_explain";
  	$text .= "<INPUT TYPE=hidden NAME=\"action\" VALUE=\"log\">\n";
  	$text .= "<INPUT TYPE=submit VALUE=\"OK\">\n";
  	$text .= "</FORM></FONT><P>";
	}
*/

  $text .= "</TABLE></FORM></FONT>\n";

  }
  $val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$text,$border,$lang_adv_Synchro_ldap,$titre_color);
  $val = center($val);
  $val = saut(2)."$val";
  print "$val\n";



// The end
print endHTML();

?>

