
/* -------------------------------------------------------- 
  Database: hadmin
  Table: "security_filters" 
  $Id: security_filters.sql,v 1.1 2001/06/07 07:21:21 bzizou Exp $
-------------------------------------------------------- */ 
 
CREATE TABLE "security_filters" (
   "filter" int4 NOT NULL,
   "type" varchar(8) NOT NULL,
   "rule" varchar(8) NOT NULL,
   "predefined" bool NOT NULL,
   "predefined_string" varchar(8),
   "protocol" varchar(4),
   "src" varchar(15),
   "src_mask" varchar(15),
   "src_port" int2,
   "dst" varchar(15),
   "dst_mask" varchar(15),
   "dst_port" int2,
   PRIMARY KEY ("filter")
);
CREATE INDEX "filter_security_filters_key" ON "security_filters" ("filter");
CREATE INDEX "type_security_filters_key" ON "security_filters" ("type");
CREATE INDEX "predefined_security_filters_key" ON "security_filters" ("predefined");


/* -------------------------------------------------------- 
	DATA
-------------------------------------------------------- */ 
INSERT INTO security_filters (filter, type, rule, predefined, predefined_string, protocol, src, src_mask, src_port, dst, dst_mask, dst_port) VALUES(1, 'input', 'accept', 't', 'level2', '', '', '', NULL, '', '', NULL);
INSERT INTO security_filters (filter, type, rule, predefined, predefined_string, protocol, src, src_mask, src_port, dst, dst_mask, dst_port) VALUES(1000, 'forward', 'masq', 't', 'level2', '', '', '', NULL, '', '', NULL);
