#!/usr/bin/perl 

# users_read.cgi: Affichage des entetes des mails recus par un user
# Version 1.0

# This script is part of the SLIS Project initiated by the CARMI-Internet
# (Acadmie de Grenoble - France 38).
# Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
# (Acadmie de Grenoble - France 38).
#
# SLIS : Serveur de communications Linux pour l'Internet Scolaire.
# Copyright (C) 1998-2000 Bruno Bzeznik
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#    You should have received a copy of the GNU General Public License
#    along with this program (For example ./COPYING);
#    if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
#    Cambridge, MA 02139, USA.
#
# Please send all comments and bug reports by electronic mail to:
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# or to <slis@ac-grenoble.fr>
#
# Envoyez vos suggestions et reports de bugs par e-mail 
#   Bruno Bzeznik <Bruno@ac-grenoble.fr>
# ou  <slis@ac-grenoble.fr>
#

# Variables
do ("/usr/local/lib/slis-sys.inc.pl");
load_config();

use CGI ;
$html = new CGI ;
print $html->header ;

# Lecture de l'entete standard HTML
open (HEAD,"$ENTETE");
print <HEAD> ;
close HEAD ;

$user=$html->param('user');

# Ecriture des infos
print "<BR><BR><CENTER><B><I>Messages de $user</I></B></CENTER><P><PRE>\n";
open (MAIL,"/var/spool/mail/$user");
$i=0;
while (<MAIL>) {
  ($f1)=split();
  if ($f1 eq "From") {
    $i++;
  }
  if ($f1 eq "From:") {
     $from[$i]=$_;
  }
  if ($f1 eq "Date:") {
     $date[$i]=$_;
  }
  if ($f1 eq "Subject:") {
     $subject[$i]=$_;
  }
}

$c=0;

for ($j = 1;$j <= $i; $j++) {
  if ( $subject[$j] ne "Subject: DON'T DELETE THIS MESSAGE -- FOLDER INTERNAL DATA\n") {
    $c++;
    $from[$j] =~ s/\</&lt\;/g;
    $from[$j] =~ s/\>/&gt\;/g;
    print $from[$j];
    print $date[$j];
    print $subject[$j];
    print "\n";
  }
}

print "\n******* $c message(s). ********\n";

print "</PRE>";

# Lecture du pied de page standard
open (FOOT,"$PIED");
print <FOOT> ;
close FOOT ;
