<?
/*
      Bibliothque de mise  jour des informations du DNS dans la BDD
*/

function getList($type, $cnx, $zone, $tabnom, $tabsup, $tabupd, $infomodif)
{
  // Donne la liste des serveurs reference par dans le DNS
  // $type donne le type de prsentation : combobox, liste ...
  $ret = "";
  $iplocale = getIPlocal();
  $tmp = getDomaine();
  $hostname = ".".$tmp[hostname];
  switch ($type)
  {
    case "liste":
       break;
    case "combo":
       break;
    case "tableau":
           $ret .="<table border=1 width=100%><tr><td>$tabnom</td><td align=center valign=center width=20>$tabsup</td><td align=center valign=center width=20>$tabupd</td></tr>\n";
           if ($result = pg_exec($cnx, "select m.*, z.* from DNSmachine m, DNSzone z where (nomzone='$zone' or nnomzone='$zone') and zone=idzone order by ip, nom"))
           {
              $num = pg_numrows($result);
              for ($i=0; $i<$num; $i++)
              {
                $data = pg_fetch_row($result, $i);
                // Valeurs par dfaut
                $couleur = "green";
                $ipaf = $data[0];
                $nomaf = $data[1];
                $commentaireaf = $data[4];
                // Dtermination de la couleur de la ligne
                if ($data[6] == "t")                     // tomodif
                {
                  $couleur = "blue";
                  $ipaf = $data[8];
                  $nomaf = $data[9];
                  $commentaireaf = "$data[11]<b> $infomodif</b>";
                }
                else
                  if ($data[5] == "t") $couleur = "blue";  // tovalid
                  else if ($data[7] == "t") $couleur = "red";   // todelete
                $ret .= "<tr><td><font color = \"$couleur\">$ipaf $nomaf.$zone <i>information : </i>$commentaireaf  </font></td>\n";
                if ($couleur == "red") 
                  $ret .= "<td align=center><img src=\"../images/trash.gif\" border=0 alt=\"Supprimer cette machine\"></td><td align=center><img src=\"../images/infodns2.gif\" border=0 alt=\"Modifier cette machine\"></td></tr>\n";
                else
                  $ret .= "<td align=center><a href=\"index.php?action=ajouter&sup=1&ip=$data[0]&nom=$data[1]&zone=$data[2]\"><img src=\"../images/trash.gif\" border=0 alt=\"Supprimer cette machine\"></a></td><td align=center><a href=\"index.php?action=modifier&ip=$data[0]&nom=$data[1]&zone=$data[2]\"><img src=\"../images/infodns2.gif\" border=0 alt=\"Modifier cette machine\"></a></td></tr>\n";
             }
           }
           $ret .= "</table>\n";
           break;
  }
  return $ret;
}

function loadmachine($ip, $nom, $zone, $cnx)
{
  $query = "select m.*, z.* from DNSmachine m, DNSzone z  where zone=idzone and nom='$nom' and zone='$zone' and ip ='$ip'";
  if ($result = pg_exec($cnx, $query))
  {
    $data = pg_fetch_row($result, 0);
    $ret[ip] = $data[0];
    $ret[nom] = $data[1];
    $ret[alias] = $data[3];
    $ret[commentaire] = $data[4];
    $ret[zone] = $data[13];
    $ret[nip] = $data[8];
    $ret[nnom] = $data[9];
    $ret[nalias] = $data[10];
    $ret[ncommentaire] = $data[11];
    $ret[nzone] = $data[14];
    $ret[tovalid] = $data[5];
    $ret[tomodif] = $data[6];
    $ret[todelete] = $data[7];
  }
  else $ret[ip] = false;
  return $ret;
}

function createDNS($ip, $nom, $alias, $commentaire, $type, $cnx, $zone)
{
  $ret = true;
  // Recherche de l'identifiant de zone
  $tmpzone = setIdZone($cnx, $zone);
  $query = "insert into DNSmachine (ip, nom, alias, commentaire, zone) values ('$ip', '$nom', '$alias', '$commentaire', $tmpzone);";
  if ($result = pg_exec($cnx, $query)) $ret = true; else $ret = false;
  return $ret;
}

function modifdns($oldip, $oldnom, $cnx, $ip, $nom, $alias, $commentaire, $zone)
{
  // Recherche de l'identifiant de zone
  $query = "update DNSmachine set tomodif= '1', nip='$ip', nnom='$nom', nalias='$alias', ncommentaire='$commentaire' where ip='$oldip' and nom='$oldnom' and zone='$zone'";
  return ($result = pg_exec($cnx, $query));
}

function deleteDNS($ip, $nom, $zone, $cnx)
{
  $query = "update DNSmachine set todelete='1', tomodif='0', tovalid='0' where ip='$ip' and nom='$nom' and zone='$zone'";
  return ($result = pg_exec($cnx, $query));
}

function getIPlocal()
{
  // Retourne l'adresse IP locale du slis
  $ret = "";
  $ip = `cat /etc/sysconfig/network-scripts/ifcfg-eth1 | grep IPADDR`;
  $ret = substr($ip, strpos($ip, "=")+1, 15);
  return $ret;
}

function getDomaine()
{
  // Retourne le nom de la machine et du domaine
  // Recherche les infos de domaine, hostname ...
  $tmp = `cat /etc/HOSTNAME`;
  $ret[hostname] = substr($tmp, 0, strlen($tmp)-1);
  $pos = strpos($tmp, ".");
  $ret[host] = substr($tmp, 0, $pos+1);
  $ret[domaine] = substr($tmp, $pos+1, strlen($tmp)-1);
  return $ret;
}

function setTabAddDesktop($cnx, $tabip, $tabnom, $tabcommentaire, $button, $liste, $zoneconcernee, $zone)
{
  $iplocale = getIPlocal();
  $tmp = getDomaine();
  // Cration d'une machine
    $ret = "";
    $ret .= "<form name=\"creationEntreeDNS\" method=post action=\"index.php?action=ajouter&ajout=1\">\n";
    $ret .= "<center>$liste</center><p>\n";
    $ret .= "<table border=1 width=100% name=\"addDesktop\">\n";
    $ret .= "<tr align=center><td width=\"20%\">$tabip</td><td width=\"40%\">$tabnom</td><td width=\"40%\">$tabcommentaire</td></tr>\n";
    $ret .= "<tr align=center><td width=\"20%\"><input type=text name=\"ip\" value=\"".substr($iplocale, 0, strrpos($iplocale, ".")+1)."\"</td>\n";
    $ret .= "<td width=\"40%\"><input type=text name=\"nom\"></td>\n";
    $ret .= "<td width=\"40%\"><input type=text size=60% name=\"commentaire\"></td></tr>\n";
    $ret .= "</table><p>\n";
    $ret .= "<table border=0><tr><td>$zoneconcernee :</td><td><input type=\"radio\" name=\"zone\" value=\"$zone\" checked>$zone</td></tr>\n";
    $ret .= "<tr><td>&nbsp;</td><td><input type=\"radio\" name=\"zone\" value=\"$tmp[hostname]\">$tmp[hostname]</td></tr></table>\n";
    $ret .= "<center><input type=submit value=\"$button\" name=\"creation\"></center></form><p>\n";
  return $ret;
}

function setTabUpdateDesktop($local, $ip, $nom, $cnx, $tabip, $tabnom, $tabcommentaire, $button, $zone, $info, $buttonAnnuler, $msgerreur)
{
  if (($machine = loadmachine($ip, $nom, $local, $cnx)) <> false)
  {
    $tmpnomzone = setNomZone($cnx, $local);
    // Modification d'une machine
    // $local est le domaine intranet.local par dfault
    $ret = "";
    $ret .= "<form name=\"creationEntreeDNS\" method=post action=\"index.php?action=ajouter&mod=1\">\n";
    $ret .= "<input type=\"hidden\" name=\"oldip\" value =\"$ip\">\n";
    $ret .= "<input type=\"hidden\" name=\"zone\" value =\"$local\">\n";
    $ret .= "<input type=\"hidden\" name=\"oldnom\" value =\"$nom\">\n";
    $ret .= "<center>$info <i>$machine[nom].$tmpnomzone</i></center><p>\n";
    $ret .= "<table border=1 width=100% name=\"addDesktop\">\n";
    $ret .= "<tr align=center><td width=\"20%\">$tabip</td><td width=\"40%\">$tabnom</td><td width=\"40%\">$tabcommentaire</td></tr>\n";
    if ($machine[tomodif] == "t")
    {
      $ret .= "<tr align=center><td width=\"20%\"><input type=text width=100% name=\"ip\" value=\"$machine[nip]\"></td>\n";
      $ret .= "<td width=\"40%\"><input type=text name=\"nom\" value=\"$machine[nnom]\"></td>\n";
      $ret .= "<td width=\"40%\"><input type=text name=\"commentaire\" value=\"$machine[ncommentaire]\"></td></tr>\n";
    }
    else
    {
      $ret .= "<tr align=center><td width=\"20%\"><input type=text width=100% name=\"ip\" value=\"$machine[ip]\"></td>\n";
      $ret .= "<td width=\"40%\"><input type=text name=\"nom\" value=\"$machine[nom]\"></td>\n";
      $ret .= "<td width=\"40%\"><input type=text name=\"commentaire\" value=\"$machine[commentaire]\"></td></tr>\n";
    }
    $ret .= "</table><p>\n";
    $ret .= "<center><input type=submit value=\"$button\" name=\"modifier\">\n";
    $ret .= "<input type=submit value=\"$buttonAnnuler\" name=\"annuler\"></center></form><p>\n";
  }
  else $ret = "<font color = \"red\">$msgerreur$local !</font>\n";
  return $ret;
}

function setIdZone($cnx, $nom)
{
  $ret = false;
  $query = "select * from DNSzone where nomzone = '$nom' or nnomzone = '$nom';";
  if ($result = pg_exec($cnx, $query))
  {
    $data = pg_fetch_row($result, 0);
    $ret = $data[0];
  }
  return $ret;
}

function setNomZone($cnx, $id)
{
  $ret = false;
  $query = "select * from DNSzone where idzone = '$id';";
  if ($result = pg_exec($cnx, $query))
  {
    $data = pg_fetch_row($result, 0);
    if ($data[2] !="") $ret = $data[2]; else $ret = $data[1];
  }
  return $ret;
}


function setIPnomZone($cnx, $ip, $nom, $commentaire, $zone, $ipnomzone, $nomzone, $tomodif)
{
  // Recherche de l'id de la zone
#  $tmpzone = setIdZone($cnx, $zone);  
  $ret[ok] = true;
  // Test d'unicit du nom sur la zone
  if ($tomodif == "t")
     $query = "select * from DNSmachine where nnom='$nom' and zone='$zone' and nip='$ip' and ncommentaire='$commentaire' and todelete <> 't'";
  else $query = "select * from DNSmachine where nom='$nom' and zone='$zone' and ip='$ip' and commentaire='$commentaire' and todelete <> 't'";
  if ($result = pg_exec($cnx, $query))
  {
    if (pg_numrows($result) > 0)
    {
      $ret[txt] = $ipnomzone;
      $ret[ok]=false;
    }
  }
  // Test du nom de la machine dj dans la zone
  if ($tomodif == "t")
     $query = "select ip from DNSmachine where nnom='$nom' and zone='$zone' and ncommentaire='$commentaire' and todelete <> 't'";
  else $query = "select ip from DNSmachine where nom='$nom' and zone='$zone' and commentaire='$commentaire' and todelete <> 't'";
  if ($result = pg_exec($cnx, $query))
  {
    if (pg_numrows($result) > 0)
    {
      $data = pg_fetch_row($result, 0);
      $ret[txt] = $nomzone." $data[0].";
      $ret[ok]=false;
    }
  }
  return $ret;
}

function setIP($ip)
{
  $ok = true;
  // Test que les parties de l'IP soient < 255
  $ippartie = explode (".", $ip);
  if ($ippartie[0]<1 or $ippartie[0]>255) $ok = false;
  else
    if ($ippartie[1]<1 or $ippartie[1]>255) $ok = false;
  else
    if ($ippartie[2]<1 or $ippartie[2]>255) $ok = false;
  else
    if ($ippartie[3]<1 or $ippartie[3]>254) $ok = false;
  return $ok;
}

function setzone($intranet, $hostname, $cnx)
{
  $ret = "$intranet";
  // Recherche dans la BDD de la zone dfinie autre que nomduslis.ac-versailles-fr
  $query = "select nomzone, nnomzone from DNSzone where nomzone <> '$hostname'";
  if ($result = pg_exec($cnx, $query))
  {
    if (pg_numrows($result) > 0)
    {
       $line = pg_fetch_array($result);
       if ($line[1] != '') $ret = $line[1];
       else $ret = $line[0];
    }
  }
  return $ret;
}

function setPrivateIp($ip)
{
  $ip1 = substr($ip, 0, 2);   // 10
  $ip2 = substr($ip, 0, 3);   // 172
  $ip3 = substr($ip, 4, 2);   // 16-31
  $ip4 = substr($ip, 0,7);    // 192.168
  $ip5 = substr($ip,6,1);     // .
  if ($ip5 == ".") $ok6=true; else $ok6=false;
  if (strcmp($ip1, "10") == 0) $ok1 = true; else $ok1=false;
  if (strcmp($ip4, "192.168") == 0) $ok2 = true; else $ok2=false;
  if ($ip3>15) $ok3=true; else $ok3=false;
  if ($ip3<32) $ok4=true;  else $ok4=false;
  if (strcmp($ip2, "172") == 0) $ok5=true; else $ok5=false;
  return  $ok1 || $ok2 || ($ok5 &&  $ok3 && $ok4 && $ok6); 
}

?>
