<?PHP
/*
This script is part of the SLIS Project initiated by the CARMI-Internet (Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet (Acadmie de Grenoble - France 38).

This script have been write by Olivier.LeCam@crdp.ac-versailles.fr
Ce script  t crit par Olivier.LeCam@crdp.ac-versailles.fr

SLIS : Serveur de communications Linux pour l'Internet Scolaire. Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  Bruno Bzeznik <slis@ac-grenoble.fr>
*/



function mask2cidr($mask) {
	$bits = strpos(decbin(ip2long($mask)),"0");
	return $bits;
}

////////////////////////////////////////////////////////////////////////
// Display the rule header (title of colums)

function IPFILTER_displayRuleHeader($show_N=1) {
	$content  .= "<tr align='center'>\n";
	$content .= "<td><font size=-1><b>".($show_N?"N":"&nbsp;&nbsp;&nbsp;")."</b></font></td>\n";
    $content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Rule']."</b></font></td>\n";
    $content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Protocol']."</b></font></td>\n";
    $content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Source']."</b></font></td>\n";
	$content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Mask']."</b></font></td>\n";
    $content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Port']."</b></font></td>\n";
    $content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Dest']."</b></font></td>\n";
	$content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Mask']."</b></font></td>\n";
    $content .= "<td><font size=-1><B>".$GLOBALS['lang_ipfilters_Port']."</b></font></td>\n";
	$content .= "</tr>\n";
	return $content;
}

////////////////////////////////////////////////////////////////////////
// Display a rule row

function IPFILTER_displayRuleRow($type,$i,$count,$selected_rule,$selected_protocol,$src,$src_mask,$src_port,$dst,$dst_mask,$dst_port) {

// Include javascript

echo "<script language='JavaScript'>\n";
echo "<!--\n";
echo "function Choix(form) {\n";
echo "i = form.protocol.selectedIndex;\n";
echo "switch (i) {\n";
echo "	case 0 : form.src_port.disabled=false; form.dst_port.disabled=false; break;\n";
echo "	case 1 : form.src_port.disabled=false; form.dst_port.disabled=false; break;\n";
echo "	case 2 : form.src_port.value='all'; form.dst_port.value='all'; form.src_port.disabled=true; form.dst_port.disabled=true; break;\n";
echo "	case 3 : form.src_port.value='all'; form.dst_port.value='all'; form.src_port.disabled=true; form.dst_port.disabled=true; break;\n";
echo "	}\n";
echo "}\n";
echo "// -->\n";
echo "</SCRIPT>\n";

	if ($i==0) $i='';

	$content  = "<tr>\n";
	$content .= "<td>".($i?"$i":"&nbsp;&nbsp;&nbsp;")."</td>\n";

	if ($src=="0.0.0.0") $src="all";
	if ($src_mask=="0.0.0.0") $src_mask="all";
	if ($src_port=="0") $src_port="all";
	if ($dst=="0.0.0.0") $dst="all";
	if ($dst_mask=="0.0.0.0") $dst_mask="all";
	if ($dst_port=="0") $dst_port="all";

	if ($type=='forward') {
		$content .= "<td><select name='rule$i'>\n";
		$s1=$s2=$s3='';
		switch ($selected_rule) {
			case "MASQ" :   $s1 = " SELECTED"; break;
			case "ACCEPT" :	$s2 = " SELECTED"; break;
			case "DENY" :   $s3 = " SELECTED"; break;
		}
		$content .= "<option value='MASQ'$s1>MASQ</option>\n";
		$content .= "<option value='ACCEPT'$s2>ACCEPT</option>\n";
		$content .= "<option value='DENY'$s3>DENY</option>\n";
		$content .= "</select></td>\n";
	} else if ($type=='input') {
		$content .= "<td><select name='rule$i'>\n";
		$s1=$s2='';
		switch ($selected_rule) {
			case "ACCEPT" :	$s1 = " SELECTED"; break;
			case "DENY" :   $s2 = " SELECTED"; break;
		}
		$content .= "<option value='ACCEPT'$s1>ACCEPT</option>\n";
		$content .= "<option value='DENY'$s2>DENY</option>\n";
		$content .= "</select></td>\n";
	}

	$content .= "<td><select name='protocol$i' onChange='Choix(this.form)'>\n";
	$s1=$s2=$s3=$s4='';
	switch ($selected_protocol) {
		case "tcp" :  $s1 = " SELECTED"; break;
		case "udp" :  $s2 = " SELECTED"; break;
		case "icmp" : $s3 = " SELECTED"; break;
		case "" :     $s4 = " SELECTED"; break;
		default :     $s1 = " SELECTED"; break;
	}
	$content .= "<option value='tcp'$s1>TCP</option>\n";
	$content .= "<option value='udp'$s2>UDP</option>\n";
	$content .= "<option value='icmp'$s3>ICMP</option>\n";
	$content .= "<option value=''$s4>ALL</option>\n";
	$content .= "</select></td>\n";

	$content .= "<td><input type='text' name='src$i' value='$src' size='15' maxlength='15'></td>\n";
	$content .= "<td><input type='text' name='src_mask$i' value='$src_mask' size='15' maxlength='15'></td>\n";
   	$content .= "<td><input type='text' name='src_port$i' value='$src_port' size='5' maxlength='5'></td>\n";
	$content .= "<td><input type='text' name='dst$i' value='$dst' size='13' maxlength='15'></td>\n";
	$content .= "<td><input type='text' name='dst_mask$i' value='$dst_mask' size='15' maxlength='15'></td>\n";
	$content .= "<td><input type='text' name='dst_port$i' value='$dst_port' size='5' maxlength='5'></td>\n";
	if ($i && $count>1) {
		// up button
		if ($i==1) {
			$img = "../images/up_off.gif";
			$title = "";
			$href1 = $href2 = "";
		} else {
			$img = "../images/up_on.gif";
			$title = $GLOBALS['lang_ipfilters_ruleUp'];
			$href1 = "<a href='".$_SERVER['PHP_SELF']."?action=".$type."_up&amp;rule=$i'>";
			$href2 = "</a>";
		}
		$content .= "<td>$href1<img src='$img' border='0' alt='up_arrow' title=\"$title\">$href2</td>\n";

		// down button
		if ($i==$count) {
			$img = "../images/down_off.gif";
			$title = "";
			$href1 = $href2 = "";
		} else {
			$img = "../images/down_on.gif";
			$title = $GLOBALS['lang_ipfilters_ruleDown'];
			$href1 = "<a href='".$_SERVER['PHP_SELF']."?action=".$type."_down&amp;rule=$i'>";
			$href2 = "</a>";
		}
		$content .= "<td>$href1<img src='$img' border='0' alt='down_arrow' title=\"$title\">$href2</td>\n";

	} else {
		$content .= "<td></td><td></td>\n";
	}
	if ($i) {
		$content .= "<td><a href='".$_SERVER['PHP_SELF']."?action=".$type."_trash&amp;rule=$i'>\n";
		$content .= "<img src='../images/trash.gif' border='0' alt='".$GLOBALS['lang_Delete']."' title='".$GLOBALS['lang_Delete']."'>\n";
		$content .= "</a></td>\n";
		$content .= "</tr>\n";
	}else{
		$content .= "<td></td>\n";
	}
	return $content;
}

////////////////////////////////////////////////////////////////////////
// That page shows a short menu

function IPFILTER_displayIpFilterMenu() {
	$content  = menu_item($_SERVER['PHP_SELF']."?action=forward_form",$GLOBALS['lang_ipfilters_forward'],0,0,0);
  	$content .= menu_item($_SERVER['PHP_SELF']."?action=input_form",$GLOBALS['lang_ipfilters_firewall'],0,0,0);
	$content .= "<p>\n";
  	$content .= menu_item($_SERVER['PHP_SELF']."?action=print",$GLOBALS['lang_ipfilters_Print'],0,0,1);
	$content .= "</p>\n";
	return $content;
}

////////////////////////////////////////////////////////////////////////
// Forward form

function IPFILTER_forwardForm(&$title) {
	$db = dbconnect();
	$content  = "\n";

	// Security level
	$content .= tblSectionTitle($GLOBALS['lang_ipfilters_SecurityLevel']);
	$content .= "<blockquote><i>\n";
	$content .= $GLOBALS['lang_ipfilters_Forward_intro']."\n";
	$content .= "</i><br><br>\n";
	$query = "select predefined_string from security_filters where predefined='true' and type='forward'";
  	$result = pg_exec($db,$query);
  	$level = pg_result($result,0,"predefined_string");
	$s1 = $s2 = $s3 = $s4 = $s5 = '';
  	switch ($level) {
    	case 'all' :	 $s1='SELECTED'; break;
    	case 'level1' :	 $s2='SELECTED'; break;
    	case 'level2' :	 $s3='SELECTED'; break;
    	case 'level3' :	 $s4='SELECTED'; break;
    	case 'nothing' : $s5='SELECTED'; break;
    	case 'routing' : $s6='SELECTED'; break;
  	}
	$content .= "<table border='0'>\n";
	$content .= "<tr>\n";
	$content .= "<td>\n";
	$content .= $GLOBALS['lang_ipfilters_Forward_levels']." : \n";
	$content .= "</td><td>\n";
	$content .= "<form action='".$_SERVER['PHP_SELF']."' method='post'>\n";
  	$content .= "<select name='level'>\n";
  	$content .= "<option value='all' $s1>".$GLOBALS['lang_ipfilters_Forward_level']." ".$GLOBALS['lang_ipfilters_Forward_level_all']."</option>\n";
  	$content .= "<option value='level1' $s2>".$GLOBALS['lang_ipfilters_Forward_level']." 1</option>\n";
  	$content .= "<option value='level2' $s3>".$GLOBALS['lang_ipfilters_Forward_level']." 2</option>\n";
  	$content .= "<option value='level3' $s4>".$GLOBALS['lang_ipfilters_Forward_level']." 3</option>\n";
  	$content .= "<option value='nothing' $s5>".$GLOBALS['$lang_ipfilters_Forward_level']." ".$GLOBALS['lang_ipfilters_Forward_level_nothing']."</option>\n";
  	$content .= "<option value='routing' $s6>".$GLOBALS['$lang_ipfilters_Forward_level']." ".$GLOBALS['lang_ipfilters_Forward_level_routing']."</option>\n";
  	$content .= "</select>\n";
	$content .= "&nbsp;<input type='submit' value='".$GLOBALS['lang_validate']."'>\n";
	$content .= "<input type='hidden' name='action' value='forward_level'>\n";
	$content .= "</form>\n";
	$content .= "</td>\n";
	$content .= "</tr><tr>\n";
	$content .= "<td></td>\n";
	$content .= "<td>\n";
	$content .= "<a href='../aide/niveaux_secu.html'>".$GLOBALS['lang_ipfilters_intro_link']."</a>\n";
	$content .= "</td>\n";
	$content .= "</tr>\n";
	$content .= "</table></blockquote>\n";

	// Add a new rule
	$content .= tblSectionTitle($GLOBALS['lang_ipfilters_AddRule']);
	$content .= "<form action='".$_SERVER['PHP_SELF']."' method='POST'>\n";
	$content .= "<table border='0'>\n";
	$content .= IPFILTER_displayRuleHeader(0);
	$content .= IPFILTER_displayRuleRow('forward',0,0,'','','','','','','','');
	$content .= "</table>\n";
	$content .= "<center><input type='submit' value='".$GLOBALS['lang_Add']."'></center>\n";
	$content .= "<input type='hidden' name='action' value='forward_add'>\n";
	$content .= "</form>\n";

	// Update rules
	$query="SELECT * FROM security_filters WHERE predefined='false' AND type='forward' ORDER BY FILTER";
	$result = pg_exec($db,$query);
	$count = pg_numrows($result);
	if ($count) {
		$content .= tblSectionTitle($GLOBALS['lang_ipfilters_RuleList']);
		$content .= "<form action='".$_SERVER['PHP_SELF']."' method='post'>\n";
		$content .= "<table border=0>\n";
		$content .= IPFILTER_displayRuleHeader();
		for ($index=0; $index < $count; $index++) {
			$rule = pg_result($result,$index,"rule");
			$protocol = pg_result($result,$index,"protocol");
			$src = pg_result($result,$index,"src");
			$src_mask = pg_result($result,$index,"src_mask");
			$src_port = pg_result($result,$index,"src_port");
			$dst = pg_result($result,$index,"dst");
			$dst_mask = pg_result($result,$index,"dst_mask");
			$dst_port = pg_result($result,$index,"dst_port");
			$content .= IPFILTER_displayRuleRow("forward",$index+1,$count,$rule,$protocol,$src,$src_mask,$src_port,$dst,$dst_mask,$dst_port);
		}
		$count = $index + 1;
		$content .= "</table>\n";
		$content .= "<center><input type='submit' name='button' value='".$GLOBALS['lang_ipfilters_Validate']."'></center>\n";
		$content .= "<input type='hidden' name='action' value='forward_rule'>\n";
		$content .= "<input type='hidden' name='count' value='$count'>\n";
		$content .= "</form>\n";
	}

	$title = $GLOBALS['lang_ipfilters_Forward_title'];
	return $content;
}

////////////////////////////////////////////////////////////////////////
// Firewall (input filter) form

function IPFILTER_firewallForm(&$title) {
	$db = dbconnect();
	$content  = "\n";

	// Security level
	$content .= tblSectionTitle($GLOBALS['lang_ipfilters_SecurityLevel']);
	$content .= "<blockquote><i>\n";
	$content .= $GLOBALS['lang_ipfilters_Firewall_intro']."\n";
	$content .= "</i><br><br>\n";

	$query = "select predefined_string from security_filters where predefined='true' and type='input'";
  	$result = pg_exec($db,$query);
  	$level = pg_result($result,0,"predefined_string");
	$s1 = $s2 = $s3 = $s4 = $s5 = '';
  	switch ($level) {
    	case 'all' :	 $s1='SELECTED'; break;
    	case 'level2' :	 $s2='SELECTED'; break;
    	case 'nothing' : $s3='SELECTED'; break;
  	}
	$content .= "<table border='0'>\n";
	$content .= "<tr>\n";
	$content .= "<td>\n";
	$content .= $GLOBALS['lang_ipfilters_Forward_levels']." : \n";
	$content .= "</td><td>\n";
	$content .= "<form action='".$_SERVER['PHP_SELF']."' method='post'>\n";
  	$content .= "<select name='level'>\n";
  	$content .= "<option value='all' $s1>".$GLOBALS['lang_ipfilters_Firewall_level_all']." ".$GLOBALS['lang_ipfilters_Forward_level_all']."</option>\n";
  	$content .= "<option value='level2' $s2>".$GLOBALS['lang_ipfilters_Firewall_level_optimum']."</option>\n";
  	$content .= "<option value='nothing' $s3>".$GLOBALS['$lang_ipfilters_Firewall_level_nothing']." ".$GLOBALS['lang_ipfilters_Forward_level_nothing']."</option>\n";
  	$content .= "</select>\n";
	$content .= "&nbsp;<input type='submit' value='".$GLOBALS['lang_validate']."'>\n";
	$content .= "<input type='hidden' name='action' value='input_level'>\n";
	$content .= "</form>\n";
	$content .= "</td>\n";
	$content .= "</tr><tr>\n";
	$content .= "<td></td>\n";
	$content .= "<td>\n";
	$content .= "<a href='../aide/input_levels.html'>".$GLOBALS['lang_ipfilters_intro_link']."</a>\n";
	$content .= "</td>\n";
	$content .= "</tr>\n";
	$content .= "</table></blockquote>\n";

	// Add a new rule
	$content .= tblSectionTitle($GLOBALS['lang_ipfilters_AddRule']);
	$content .= "<form action='".$_SERVER['PHP_SELF']."' method='POST'>\n";
	$content .= "<table border='0'>\n";
	$content .= IPFILTER_displayRuleHeader(0);
	$content .= IPFILTER_displayRuleRow('input',0,0,'','','','','','','','');
	$content .= "</table>\n";
	$content .= "<center><input type='submit' value='".$GLOBALS['lang_Add']."'></center>\n";
	$content .= "<input type='hidden' name='action' value='input_add'>\n";
	$content .= "</form>\n";

	// Update rules
	$query="SELECT * FROM security_filters WHERE predefined='false' AND type='input' ORDER BY FILTER";
	$result = pg_exec($db,$query);
	$count = pg_numrows($result);
	if ($count) {
		$content .= tblSectionTitle($GLOBALS['lang_ipfilters_RuleList']);
		$content .= "<form action='".$_SERVER['PHP_SELF']."' method='post'>\n";
		$content .= "<table border=0>\n";
		$content .= IPFILTER_displayRuleHeader();
		for ($index=0; $index < $count; $index++) {
			$rule = pg_result($result,$index,"rule");
			$protocol = pg_result($result,$index,"protocol");
			$src = pg_result($result,$index,"src");
			$src_mask = pg_result($result,$index,"src_mask");
			$src_port = pg_result($result,$index,"src_port");
			$dst = pg_result($result,$index,"dst");
			$dst_mask = pg_result($result,$index,"dst_mask");
			$dst_port = pg_result($result,$index,"dst_port");
			$content .= IPFILTER_displayRuleRow('input',$index+1,$count,$rule,$protocol,$src,$src_mask,$src_port,$dst,$dst_mask,$dst_port);
		}
		$count = $index + 1;
		$content .= "</table>\n";
		$content .= "<center><input type='submit' name='button' value='".$GLOBALS['lang_ipfilters_Validate']."'></center>\n";
		$content .= "<input type='hidden' name='action' value='input_rule'>\n";
		$content .= "<input type='hidden' name='count' value='$count'>\n";
		$content .= "</form>\n";
	}

	// Assistant
	$content .= tblSectionTitle($GLOBALS['lang_ipfilters_Firewall_assistant']);
	$content .= "<form action='".$_SERVER['PHP_SELF']."' method='post'>\n";
	$content .= "<blockquote>\n";
	$content .= "<select name='prule'>\n";
	$content .= "<option value='none'>".$GLOBALS['lang_ipfilters_Assist_select_rule']."</option>\n";
	$content .= "<option value='accept'>".$GLOBALS['lang_ipfilters_Assist_accept']."</option>\n";
	$content .= "<option value='deny'>".$GLOBALS['lang_ipfilters_Assist_deny']."</option>\n";
	$content .= "</select>\n";
	$content .= "&nbsp;&nbsp;&nbsp;";
	$content .= "<select name='pservice'>\n";
	$content .= "<option value='none'>".$GLOBALS['lang_ipfilters_Assist_select_service']."</option>\n";
	$content .= "<option value='ftp'>FTP (File Transfert Protocol)</option>\n";
	$content .= "<option value='pop3'>POP3 (Post Office Protocol)</option>\n";
	$content .= "<option value='http'>HTTP (Web)</option>\n";
	$content .= "<option value='hadmin'>HADMIN (SLIS interface)</option>\n";
	$content .= "</select>\n";
	$content .= "&nbsp;&nbsp;&nbsp;";
	$content .= "<input type='submit' name='button' value='".$GLOBALS['lang_ipfilters_Validate']."'>\n";
	$content .= "<input type='hidden' name='action' value='input_assistant'>\n";
	$content .= "</blockquote>\n";
	$content .= "</form>\n";

	$title = $GLOBALS['lang_ipfilters_Input_title'];
	return $content;
}

////////////////////////////////////////////////////////////////////////
// Display an error message

function IPFILTER_error($form) {
	// Show a back button
	$content .= "<form action='".$_SERVER['PHP_SELF']."' method='POST'>\n";
	$content .= "<center><input type='submit' value='".$GLOBALS['lang_Back']."'></center>\n";
	$content .= "<input type='hidden' name='action' value='".$form."_form'>\n";
	$content .= "</form>\n";
	return $content;
}

////////////////////////////////////////////////////////////////////////////////
// Check the validity of a rule
// If one or more errors are detected, the function updates the content of &$content and
// return 0, else it returns 1.

function IPFILTER_checkRule($type,$i,$rule,$src,$src_mask,$src_port,$dst,$dst_mask,$dst_port,&$content) {
	$ok = 1;
	if ($i==0) $i = '';

	if ($type=='forward') {
	if ($src != 'all' && $src != '0.0.0.0' && ($src_mask == 'all' || $src_mask == '0.0.0.0') ) {
	    $ok=0;
	    $content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: source mask cannot be &laquo; $src_mask &raquo; when the source IP is not &laquo; all &raquo;</font><br>\n";
	}
    	if ($rule != "MASQ" && $rule != "DENY" && $rule != "ACCEPT") {
			$ok=0;
			$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: $rule is not a valid policy</font><br>\n";
		}
	} else if ($type='input') {
    	if ($rule != "MASQ" && $rule != "DENY" && $rule != "ACCEPT") {
			$ok=0;
			$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: $rule is not a valid policy</font><br>\n";
		}
	}
    if (!isip($src)) {
		$ok=0;
		$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: ".$GLOBALS['lang_ipfilters_Error1']." ($src)</font><br>\n";
	}
    if (!isip($src_mask)) {
		$ok=0;
		$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: ".$GLOBALS['lang_ipfilters_Error2']." ($src_mask)</font><br>\n";
	}
    if (!preg_match("/^\d*$/",$src_port) || !($src_port>=0 && $src_port<=65535)) {
		$ok=0;
		$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: ".$GLOBALS['lang_ipfilters_Error3']." ($src_port)</font><br>\n";
	}
    if (!isip($dst)) {
		$ok=0;
		$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: ".$GLOBALS['lang_ipfilters_Error4']." ($dst)</font><br>\n";
	}
    if (!isip($dst_mask)) {
		$ok=0;
		$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: ".$GLOBALS['lang_ipfilters_Error5']." ($dst_mask)</font><br>\n";
	}
    if (!preg_match("/^\d*$/",$dst_port) || !($dst_port>=0 && $dst_port<=65535)) {
		$ok=0;
		$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_Rule']." $i: ".$GLOBALS['lang_ipfilters_Error6']." ($dst_port)</font><br>\n";
	}
	return $ok;
}

////////////////////////////////////////////////////////////////////////////////
// Update (modify) the filter rules

function IPFILTER_updateRules($type,&$title) {
	if ($type!='forward' && $type!='input')
		return "";

	// testing validity
	$ok = 1;
	$content = "<br>\n";

	for($i = 1; $i < $_POST['count']; $i++) {
    	$var = "rule$i"; 	$rule = $_POST[$var];
    	$var = "protocol$i"; 	$protocol = $_POST[$var];
    	$var = "src$i"; 	$src = $_POST[$var];
    	$var = "src_mask$i"; 	$src_mask = $_POST[$var];
    	$var = "src_port$i"; 	$src_port = $_POST[$var];
    	$var = "dst$i"; 	$dst = $_POST[$var];
    	$var = "dst_mask$i"; 	$dst_mask = $_POST[$var];
    	$var = "dst_port$i"; 	$dst_port = $_POST[$var];

    	if ($src_port=="" || strtolower($src_port)=="all") $src_port=0;
    	if ($dst_port=="" || strtolower($dst_port)=="all") $dst_port=0;

		if (!IPFILTER_checkRule($type,$i,$rule,$src,$src_mask,$src_port,$dst,$dst_mask,$dst_port,$content))
			$ok = 0;
  	}

	// if OK, update the rules else display an error message
	if ($ok) {
    	// Clear the old rules
    	$db = dbconnect();
    	$query = "DELETE FROM security_filters WHERE type='$type' AND predefined='false'";
    	$result = pg_exec($db,$query);

		// Insert manual rules
		for($i = 1; $i < $_POST['count']; $i++) {
      		$filter = $i + ($type=='forward' ? 1001 : 1);
	    	$var = "rule$i"; 	$rule = $_POST[$var];
    		$var = "protocol$i"; 	$protocol = $_POST[$var];
    		$var = "src$i"; 	$src = $_POST[$var];
	    	$var = "src_mask$i"; 	$src_mask = $_POST[$var];
    		$var = "src_port$i"; 	$src_port = $_POST[$var];
    		$var = "dst$i"; 	$dst = $_POST[$var];
	    	$var = "dst_mask$i"; 	$dst_mask = $_POST[$var];
    		$var = "dst_port$i"; 	$dst_port = $_POST[$var];

	    	if ($src_port=="" || strtolower($src_port)=="all") $src_port=0;
    		if ($dst_port=="" || strtolower($dst_port)=="all") $dst_port=0;

	      	$query = "INSERT INTO security_filters (filter,type,rule,predefined,protocol,src,src_mask,src_port,dst,dst_mask,dst_port) values ('$filter','$type','$rule','false','$protocol','$src','$src_mask','$src_port','$dst','$dst_mask','$dst_port')";
    	  	$result = pg_exec($db,$query);
		}
		touch($GLOBALS['QUEUE']."/tbp");
		return $type.'_update';
	} else {
		$error = "&laquo;".$GLOBALS['lang_error']."&raquo;";
		$content .= IPFILTER_error($type);
		$title = "Filters script $error";
		return $content;
	}
}

function IPFILTER_updateLevel($type,&$title) {
	if ($type!='forward' && $type!='input')
		return "";

	// testing validity
	$ok = 1;
	$content = "\n";

	$level = $_POST['level'];
	if ($type=='forward') {
		if ($level != "all" && $level != "routing" && $level != "nothing" && $level != "level1" && $level != "level2" && $level != "level3") {
			$ok=0;
			$content .= "<font color='FF0000'>$level is not a valid rule set !</font><br>\n";
		}
		$id = 1001;
	} else {
		if ($level != "all" && $level != "level2" && $level != "nothing") {
			$ok=0;
			$content .= "<font color='FF0000'>$level is not a valid rule set !</font><br>\n";
		}
                $id = 1;
	}

	// if OK, update the rules else display an error message
	if ($ok) {
		$error="";

    	// Clear the old rules
    	$db = dbconnect();
    	$query = "DELETE FROM security_filters WHERE type='$type' AND predefined!='false'";
    	$result = pg_exec($db,$query);

	    # Insert the predefined rule
            
	    $query="insert into security_filters (filter,type,rule,predefined,predefined_string) values ('$id','$type','ACCEPT','true','$level')";
    	$result=pg_exec($db,$query);

		// Update filter
		touch($GLOBALS['QUEUE']."/tbp");
		return $type.'_update';
	} else {
		$error = "&laquo;".$GLOBALS['lang_error']."&raquo;";
		$content .= "<br>\n";
		$content .= IPFILTER_error($type,$title);
		$title = "Filters script $error";
		return $content;
	}
}

////////////////////////////////////////////////////////////////////////////////
// Add a rule

function IPFILTER_addRule($type,&$title) {
	if ($type!='forward' && $type!='input')
		return "";

   	$rule = $_POST['rule'];
	$protocol = $_POST['protocol'];
   	$src = $_POST['src'];
	$src_mask = $_POST['src_mask'];
  	$src_port = $_POST['src_port'];
	$dst = $_POST['dst'];
	$dst_mask = $_POST['dst_mask'];
	$dst_port = $_POST['dst_port'];

  	if ($src_port=="" || strtolower($src_port)=="all") $src_port=0;
	if ($dst_port=="" || strtolower($dst_port)=="all") $dst_port=0;

	$ok = IPFILTER_checkRule($type,0,$rule,$src,$src_mask,$src_port,$dst,$dst_mask,$dst_port,$content);

	// if OK, update the rules else display an error message
	if ($ok) {
		$error = "";
		// How many forwaring rule is there ?
		$db = dbconnect();
		$query = "SELECT * FROM security_filters WHERE predefined='false' AND type='$type'";
		$result = pg_exec($db,$query);
		$filter_id = pg_numrows($result) + ($type == 'forward' ? 1002 : 2);

		// Insert the new rule
      	$query = "INSERT INTO security_filters (filter,type,rule,predefined,protocol,src,src_mask,src_port,dst,dst_mask,dst_port) values ('$filter_id','$type','$rule','false','$protocol','$src','$src_mask','$src_port','$dst','$dst_mask','$dst_port')";
   	  	$result = pg_exec($db,$query);

		// Update filter
		touch($GLOBALS['QUEUE']."/tbp");
		return $type.'_update';
	} else {
		$error = "&laquo;".$GLOBALS['lang_error']."&raquo;";
		$content .= IPFILTER_error($type);
		$title = "Filters script $error";
		return $content;
	}
}

////////////////////////////////////////////////////////////////////////////////
// Delete the selected forward rules

function IPFILTER_deleteRule($type,$ruleToDelete,&$title) {
	if ($type!='forward' && $type!='input')
		return "";
	$content .= "<br>";
	// Retrieve all rules, and check if there at least one to delete
	$db = dbconnect();
	$query="SELECT * FROM security_filters WHERE predefined='false' AND type='$type' ORDER BY filter";
	$result = pg_exec($db,$query);
	$count = pg_numrows($result);
	$todelete = 0;
	if ($count) {
		for ($i=0;$i<$count;$i++) {
			if (($i+1)==$ruleToDelete) {
				$todelete++;
			 	continue; // continue if that rule is to be deleted
			}
			$rule[] = pg_result($result,$i,"rule");
			$protocol[] = pg_result($result,$i,"protocol");
			$src[] = pg_result($result,$i,"src");
			$src_mask[] = pg_result($result,$i,"src_mask");
			$src_port[] = pg_result($result,$i,"src_port");
			$dst[] = pg_result($result,$i,"dst");
			$dst_mask[] = pg_result($result,$i,"dst_mask");
			$dst_port[] = pg_result($result,$i,"dst_port");
		}
	}

	// if OK, update the rules else display an error message
	if ($todelete) {
		$error = "";
    	// Clear the old rules
    	$query = "DELETE FROM security_filters WHERE type='$type' AND predefined='false'";
    	$result = pg_exec($db,$query);
	    // Insert again the rules which has not been deleted
		$count = count($rule);
		for($i=0;$i<$count;$i++) {
			$filter_id = $i + ($type=='forward' ? 1002 : 2);
			$query = sprintf("INSERT INTO security_filters (filter,type,rule,predefined,protocol,src,src_mask,src_port,dst,dst_mask,dst_port) values ('%d','$type','%s','false','%s','%s','%s','%s','%s','%s','%s')",
				$filter_id, $rule[$i], $protocol[$i], $src[$i], $src_mask[$i], $src_port[$i], $dst[$i], $dst_mask[$i], $dst_port[$i]);
    		$result=pg_exec($db,$query);
		}
		// Update filter
		touch($GLOBALS['QUEUE']."/tbp");
		return $type.'_update';
	} else {
		$error = "&laquo;".$GLOBALS['lang_error']."&raquo;";
		$content .= "<font color='FF0000'>".$GLOBALS['lang_ipfilters_noRuleToDelete']."</font><br>\n";
		$content .= IPFILTER_error($type);
		$title = "Filters script $error";
		return $content;
	}
}

////////////////////////////////////////////////////////////////////////////////
// Move up or down a rule

function IPFILTER_moveRule($type,$rule,$dir,&$title) {
	if ($type!='forward' && $type!='input')
		return "";

	$rule += $type=='forward' ? 1001 : 1;
	// Check if that can be done
	$filterid1 = $rule;
	if ($dir=='up')
		$filterid2 = $rule - 1;
	else
		$filterid2 = $rule + 1;

	$ok = 1;
	$db =$db = dbconnect();
	$query = "SELECT filter FROM security_filters WHERE predefined='false' AND type='$type' AND filter='$filterid1'";
	$result = pg_exec($db,$query);
	if (pg_numrows($result)==0) $ok = 0;
	$query = "SELECT filter FROM security_filters WHERE predefined='false' AND type='$type' AND filter=$filterid2";
	$result = pg_exec($db,$query);
	if (pg_numrows($result)==0) $ok = 0;

	// if OK, update the rules else display an error message
	if ($ok) {
		$error = "";
		// Swap the two rules
		$query  = "UPDATE security_filters SET filter=999999999 WHERE filter=$filterid1;";
		$query .= "UPDATE security_filters SET filter=$filterid1 WHERE filter=$filterid2;";
		$query .= "UPDATE security_filters SET filter=$filterid2 WHERE filter=999999999;";
		$result = pg_exec($db,$query);

		// Update filter
		touch($GLOBALS['QUEUE']."/tbp");
		return $type.'_update';
	} else {
		$error = "&laquo;".$GLOBALS['lang_error']."&raquo;";
		$content .= "<font color='FF0000'>No way to move that rule</font><br>\n";
		$content .= IPFILTER_done(false, '$type');
		$title = "Filters script $error";
		return $content;
	}
}

////////////////////////////////////////////////////////////////////////////////
// Assistant

function IPFILTER_inputAssistant($pservice,&$title)
{
  	// select the last index of input rules
  	$db = dbconnect();
	$query="select filter from security_filters where type='input' order by filter desc limit 1";
	$result=pg_exec($db,$query);
	$last=pg_result($result,0,"filter");
	$last++;

	// insert the rule with index+1
	$query='';
	switch ($pservice) {
	case "ftp" :
		$query="insert into security_filters (filter,rule,predefined,type,protocol,src,src_mask,src_port,dst,dst_mask,dst_port) values ('$last','$prule','false','input','tcp','all','all','0','public','public','21')";
		break;
	case "pop3" :
		$query="insert into security_filters (filter,rule,predefined,type,protocol,src,src_mask,src_port,dst,dst_mask,dst_port) values ('$last','$prule','false','input','tcp','all','all','0','public','public','110')";
		break;
	case "http" :
		$query="insert into security_filters (filter,rule,predefined,type,protocol,src,src_mask,src_port,dst,dst_mask,dst_port) values ('$last','$prule','false','input','tcp','all','all','0','public','public','80')";
		break;
	case "hadmin" :
		$query="insert into security_filters (filter,rule,predefined,type,protocol,src,src_mask,src_port,dst,dst_mask,dst_port) values ('$last','$prule','false','input','tcp','all','all','0','public','public','1098')";
		break;
	}
	if ($query)
		$result=pg_exec($db,$query);

	// Update filter
	touch($GLOBALS['QUEUE']."/tbp");
	return 'input_update';
}

////////////////////////////////////////////////////////////////////////////////
// Print rules

function IPFILTER_printRules(&$title) {
	$content  = "<pre>\n";
  	$content .= `cat /usr/local/sbin/masquerade`;
  	$content .= "</pre><br>\n";
	$title = "Filter script";
	return $content;
}

?>
