<?php
//
// phpSysInfo - A PHP System Information Script
// http://phpsysinfo.sourceforge.net/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// $Id: table_filesystems.php,v 3.0 2002/10/16 13:45:49 bzizou Exp $

require('../inc/color_scheme.php');

$scale_factor = 2;
?>

<table width="100%" bgcolor="<?php echo $detail_border_color; ?>" border="0" cellpadding="1" cellspacing="0">
<tr>
        <td>
	<table width="100%" bgcolor="<?php echo $detail_body_color; ?>" border="0" cellpadding="2" cellspacing="0">
	<tr bgcolor="<?php echo $detail_header_color; ?>">
		<td colspan="7" align="left">
			<?php echo $f_head_open; ?>&nbsp;&nbsp;<?php echo $text[fs] ?>&nbsp;&nbsp;<?php echo $f_head_close; ?>

		</td>
	</tr>
	<tr>
		<td colspan="7" align="left">&nbsp;</td>
	</tr>
	<tr>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['mount'].'</b>'; echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['type'].'</b>'; echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['partition'].'</b>'; echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['percent'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['free'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['used'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['size'].'</b>'; echo $f_body_close; ?></td>
	</tr>
<?php
	$fs = sys_fsinfo();

	for ( $i = 0; $i < sizeof($fs); $i++ ) {
		$sum['size'] += $fs[$i]['size'];
		$sum['used'] += $fs[$i]['used'];
		$sum['free'] += $fs[$i]['free'];

		echo "\t<tr>\n";
		echo "\t\t<td align=\"left\">$f_body_open" . $fs[$i]['mount'] . "$f_body_close</td>\n";
		echo "\t\t<td align=\"left\">$f_body_open" . $fs[$i]['fstype'] . "$f_body_close</td>\n";
		echo "\t\t<td align=\"left\">$f_body_open" . $fs[$i]['disk'] . "$f_body_close</td>\n";
		echo "\t\t<td align=\"left\">$f_body_open";
		if ( $fs[$i]['percent'] == 0 ) {
			echo '<img src="../images/greendot.gif" height="10" width="1"">';
		} elseif ( $fs[$i]['percent'] < 95 ) {
			echo '<img src="../images/greendot.gif" height="10" width="' . ($fs[$i]['percent'] * $scale_factor) . '">';
		} elseif( ($fs[$i]['percent'] < 100) && ( preg_match("/www-cache/",$fs[$i]['mount'])) ){
                                       echo '<img src="../images/greendot.gif" height="10" width="' . ($fs[$i]['percent'] * $scale_factor) . '">';
                          } else{
			echo '<img src="../images/reddot.gif" height="10" width="' . ($fs[$i]['percent'] * $scale_factor) . '">';
		}
		echo "&nbsp;" . $fs[$i]['percent'] . "$f_body_close</td>\n";
		echo "\t\t<td align=\"right\">$f_body_open" . format_bytesize($fs[$i]['free']) . "$f_body_close</td>\n";
		echo "\t\t<td align=\"right\">$f_body_open" . format_bytesize($fs[$i]['used']) . "$f_body_close</td>\n";
		echo "\t\t<td align=\"right\">$f_body_open" . format_bytesize($fs[$i]['size']) . "$f_body_close</td>\n";
		echo "\t</tr>\n";
	}
?>
	<tr>
		<td align="left">&nbsp;</td>
		<td align="left">&nbsp;</td>
		<td align="left">&nbsp;</td>
		<td align="left"><img src="../images/trans2.gif" height="10" width="<?php echo (100 * $scale_factor); ?>"></td>
		<td align="right">&nbsp;</td>
		<td align="right">&nbsp;</td>
		<td align="right">&nbsp;</td>
	</tr>
	<tr>
		<td colspan="3" align="right"><?php echo $f_body_open; echo '<i>'.$text['totals'].' :&nbsp;&nbsp;</i>'; echo $f_body_close; ?></td>
<?php
	echo "\t\t<td align=\"left\">$f_body_open";

	$sum_percent = round( ($sum['used'] * 100) / $sum['size'] );

	if ( $sum_percent < 95 )
            {
                echo '<img src="../images/greendot.gif" height="10" width="' . ($sum_percent * $scale_factor) . '">';
            }
            else
            {
                echo '<img src="../images/reddot.gif" height="10" width="' . ($sum_percent * $scale_factor) . '">';
            }
	echo "&nbsp;" . $sum_percent . "%</td>\n";
?>
		<td align="right"><?php echo $f_body_open . format_bytesize($sum['free']) . $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($sum['used']) . $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open . format_bytesize($sum['size']) . $f_body_close; ?></td>
	</tr>
	<tr>
		<td colspan="7" align="left">&nbsp;</td>
	</tr>
	</table>
	</td>
</tr>
</table>

