<?php
//
// phpSysInfo - A PHP System Information Script
// http://phpsysinfo.sourceforge.net/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// $Id: table_network.php,v 3.0 2002/10/16 13:45:49 bzizou Exp $

require('../inc/color_scheme.php');

$net = sys_netdevs();

?>

<table width="100%" bgcolor="<?php echo $detail_border_color; ?>" border="0" cellpadding="1" cellspacing="0">
<tr>
        <td>
	<table width="100%" bgcolor="<?php echo $detail_body_color; ?>" border="0" cellpadding="2" cellspacing="0">
	<tr bgcolor="<?php echo $detail_header_color; ?>">
		<td <?php
			if ( file_exists("/home/httpd/system/images/nettraffic_graph.gif") ) {
				echo 'colspan="5"';
			} else {
				echo 'colspan="4"';
			}
		?> align="left">

			<?php echo $f_head_open; ?>&nbsp;&nbsp;<?php echo $text['netusage']; ?>&nbsp;&nbsp;<?php echo $f_head_close; ?>

		</td>
	</tr>
	<?php if ( file_exists("/home/httpd/system/images/nettraffic_graph.gif") ): ?>
	<tr>
		<td colspan="4" align="left">&nbsp;</td>
		<td rowspan="<?php echo (3 + count($net)); ?>" align="center">
			<img src="images/nettraffic_graph.gif" width="250" height="50" border="0">
		</td>
	</tr>
	<?php endif; ?>
	<tr>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['device'].'</b>'; echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open; echo '<b>'.$text['received'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['sent'].'</b>'; echo $f_body_close; ?></td>
		<td align="right"><?php echo $f_body_open; echo '<b>'.$text['errors'].'</b>'; echo $f_body_close; ?></td>
	</tr>
	<?
		while ( list($dev, $stats) = each($net) ) {
			echo "\t<tr>\n";
			echo "\t\t<td align=\"left\">$f_body_open" . $dev . "$f_body_close</td>\n";
			echo "\t\t<td align=\"left\">$f_body_open" . format_bytesize( $stats['rx_bytes'] / 1024 ) . "$f_body_close</td>\n";
			echo "\t\t<td align=\"right\">$f_body_open" . format_bytesize( $stats['tx_bytes'] / 1024 ) . "$f_body_close</td>\n";
			echo "\t\t<td align=\"right\">$f_body_open" . $stats['errs'] . '/' . $stats['drop'] . "$f_body_close</td>\n";
			echo "\t</tr>\n";
		}
	?>
	<tr>
		<td align="left">&nbsp;</td>
		<td align="left"><img src="../images/trans.gif" height="10" width="<?php echo (100 * $scale_factor); ?>"></td>
		<td align="right">&nbsp;</td>
		<td align="right">&nbsp;</td>
	</tr>
	</table>
	</td>
</tr>
</table>

