<?php
//
// phpSysInfo - A PHP System Information Script
// http://phpsysinfo.sourceforge.net/
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// $Id: table_vitals.php,v 3.0 2002/10/16 13:45:49 bzizou Exp $

require('../inc/color_scheme.php');

?>
<table width="100%" bgcolor="<?php echo $detail_border_color; ?>" border="0" cellpadding="1" cellspacing="0">
<tr>
        <td>
	<table width="100%" bgcolor="<?php echo $detail_body_color; ?>" border="0" cellpadding="2" cellspacing="0">
	<tr bgcolor="<?php echo $detail_header_color; ?>">
		<td colspan="2" align="left">
			<?php echo $f_head_open; ?>&nbsp;&nbsp;<?php echo $text['vitals']; ?>&nbsp;&nbsp;<?php echo $f_head_close; ?>

		</td>
	</tr>
	<tr>
		<td colspan="2" align="center">&nbsp;</td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['Sversion']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . slis_version() . $f_body_close; ?></td>
	</tr>
        <tr>
		<td align="right"><?php
			echo $f_body_open . $text['hostname']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . sys_chostname() . $f_body_close; ?></td>
	</tr>
        <tr>
		<td align="right"><?
			echo $f_body_open; echo $text['ip']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . sys_ip_addr() . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['kversion']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . sys_kernel() . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['uptime']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . sys_uptime() . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['users']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php echo $f_body_open . sys_users() . $f_body_close; ?></td>
	</tr>
	<tr>
		<td align="right"><?
			echo $f_body_open; echo $text['loadavg']; ?> :&nbsp;&nbsp;&nbsp;<?php echo $f_body_close; ?></td>
		<td align="left"><?php 
			echo $f_body_open;

			$ar_buf = sys_loadavg(); 

			for ( $i = 0; $i < 3; $i++ ) {
				if ( $ar_buf[$i] > 2 ) {
					echo '<font color="#ff0000">' . $ar_buf[$i] . '</font>';
				} else {
					echo $ar_buf[$i];
				}
				echo '&nbsp;&nbsp;';
			}

			echo $f_body_close;
		?></td>
	</tr>
        <?php if ( file_exists("/home/httpd/system/images/load_graph.gif") ): ?>
	<tr>
		<td colspan="2" align="center"> 
			<br>
			<img src="/system/images/load_graph.gif" width="250" height="50" border="0">
		</td>
	</tr>
	<?php endif; ?>
	<tr>
		<td colspan="2" align="center">&nbsp;</td>
	</tr>
	</table>
	</td>
</tr>
</table>

