<?
/* $Id: url_filters.inc.php,v 1.23 2004/01/20 17:22:46 bzizou Exp $
This script is part of the SLIS Project initiated by the CARMI-Internet (Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet (Acadmie de Grenoble - France 38).

SLIS : Serveur de communications Linux pour l'Internet Scolaire. 
Copyright (C) 1998-2003 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  Bruno Bzeznik <slis@ac-grenoble.fr>
*/

function links() // Print the links to index pages
{ 
   global $lang_Uf_returntorules,$lang_Uf_returntobases,$lang_Uf_apply,$QUEUE;
   if (file_exists("$QUEUE/to_apply.url_filters")) {
     $output="<CENTER><FORM><INPUT TYPE=hidden NAME=action VALUE=apply>\n";
     $output.="<INPUT TYPE=hidden NAME=updating VALUE=1>\n";
     $output.="<INPUT TYPE=Submit NAME=submit VALUE=\"$lang_Uf_apply\"></FORM></CENTER>\n";
   }
   $output.="<CENTER>&lt;&lt;<A HREF=url_filters.php>$lang_Uf_returntorules</A>\n";
   $output.="&nbsp;&nbsp;&nbsp;&nbsp;&lt;&lt;<A HREF=url_filters.php?action=list_bases>$lang_Uf_returntobases</A></CENTER>\n";
   $output.="<BR>";
   return $output;
}

function apply_old() // Tell to admind to start the validation script and return 1 if timeout
{
  global $MAX_WAIT,$ADMIND_QUEUEDIR;
  $sentinelle="$ADMIND_QUEUEDIR/valid.url_filters"; // for admind v2
  touch ($sentinelle);
  $i=0;
  while ((file_exists($sentinelle) || file_exists("$ADMIND_QUEUEDIR/to_apply.url_filters")) && $i<=$MAX_WAIT) {
    sleep(1);
    $i++;
  }
  if ($i < $MAX_WAIT) { return 0; }
  else return 1;
}

function apply() // Tell to admind to start the validation script and return 1 if timeout
{
  `sudo /usr/share/slis/bin/url_filters`;
}
                                                                                                                                   
function are_you_sure($question,$link_ok,$link_cancel,$param)  // Are you sure you want to format your DD?
{
  global $lang_users_yes,$lang_users_no;
  if ($param=="0") $param="";
  $output="<CENTER>$question $param?\n";
  $output.="<P><A HREF=$link_ok>$lang_users_yes</A>\n";
  $output.="&nbsp;&nbsp;&nbsp;<A HREF=$link_cancel>$lang_users_no</A>\n"; 
  $output.="</CENTER>";
  return $output;
}

function list_rules()	// Print all the rules
{
  global $db,$first_tcolor,$sec_tcolor,$lang_Uf_name,$lang_Uf_network,$lang_Uf_group,
         $lang_Uf_edit,$lang_Uf_add_rule,$lang_Uf_default,$lang_Uf_rule_order_is_important;
  $query = "select * from uf_rule order by id;";
  $result = db_exec($db,$query);
  $count = db_numrows($result);
  if ($count) {
    $output="<TABLE BORDER=0 BGCOLOR=$sec_tcolor>\n<TR>\n";
    $output.="<TD ALIGN=CENTER><B>$lang_Uf_name</B></TD><TD>&nbsp;&nbsp;</TD>\n";
    $output.="<TD ALIGN=CENTER><B>$lang_Uf_network</B></TD>\n";
    $output.="<TD ALIGN=CENTER><B>$lang_Uf_group</B></TD><TD></TD>\n";
    for ($index=0; $index < $count; $index++) {
      $network=db_result($result,$index,"network");
      $group=db_result($result,$index,"group");
      if ($network =="" && $group=="") { $trash=0; }
      else $trash=1;
      $output.="<TR>\n";
      $output.="<TD><A HREF=?action=edit_rule&rule=";
      $output.=db_result($result,$index,"id").">".db_result($result,$index,"name")."</A></TD><TD></TD>";
      if ($network == "") { $network="$lang_Uf_default"; }
      if ($group == "") { $group="$lang_Uf_default"; }
      $net_comment=network_comment($db,$network);
      if ($net_comment != "") { $net_comment="($net_comment)"; }
      $output.="<TD BGCOLOR=$first_tcolor>$network $net_comment</TD>";
      if (get_option($db,"SQUID_AUTH")) {
        $output.="<TD BGCOLOR=$first_tcolor ALIGN=CENTER>$group</TD>";
      }
      else $output.="<TD BGCOLOR=$first_tcolor ALIGN=CENTER><FONT COLOR=AAAAAA>$group</FONT></TD>";
     
      // Arrows 
      $id=db_result($result,$index,"id");
      $prev_id=0;
      if ($index!=0) {
        if (db_result($result,$index-1,"name") != "default") {
          $prev_id=db_result($result,$index-1,"id");
        }
      }
      $next_id=0;
      if ($index != ($count-1)) {
        if (db_result($result,$index,"name") != "default") {
          $next_id=db_result($result,$index+1,"id");
        }
      }
      $output.="<TD>";
      if ($prev_id) {
        $output.="<A HREF=?action=swap_rules&id1=$prev_id&id2=$id>";
        $output.="<img src='../images/up_on.gif' border='0' alt='up_arrow' title=\"\"></A>";
      }
      else $output.="<img src='../images/up_off.gif' border='0' alt='up_arrow' title=\"\">";
      if ($next_id) {
        $output.="</TD><TD><A HREF=?action=swap_rules&id1=$next_id&id2=$id>";
        $output.="<img src='../images/down_on.gif' border='0' alt='up_arrow' title=\"\"></A></TD>";
      }
      else $output.="</TD><TD><img src='../images/down_off.gif' border='0' alt='up_arrow' title=\"\"></TD>";

      // Trash 
      if ($trash) {
        $output.="<TD><A HREF=?action=del_rule&sure=0&rule=".db_result($result,$index,"id");
        $output.="&name=".db_result($result,$index,"name") .">";
        $output.="<IMG ALT=\"Delete\" SRC=../images/trash.gif BORDER=0></A></TD>\n";
      }
      $output.="</TR>\n"; 
    }
    $output.="</TR></TABLE>\n";
  }
  else {
    $output="<I>$lang_Uf_norules</I>";
  }
  $output.="<FORM>\n";
  $output.="<INPUT TYPE=hidden NAME=action VALUE=edit_rule>\n";
  $output.="<CENTER><INPUT TYPE=Submit NAME=submit VALUE=\"$lang_Uf_add_rule\"></CENTER>\n";
  $output.="</FORM>\n";
  if ($count > 1) { $output.="<CENTER><I>$lang_Uf_rule_order_is_important</I></CENTER>"; }
  return $output;
}

function edit_rule($id)	// Edit or create a rule
{
  global $db,$first_tcolor,$lang_Uf_add_this_rule,$lang_Uf_name,$lang_Uf_network,$lang_Uf_group,
         $lang_Uf_baselist,$lang_Uf_sources,$lang_Uf_modify_source,$lang_Uf_default,
         $lang_Uf_pass,$lang_Uf_block,$lang_Uf_add,$lang_Uf_nobase,$lang_Uf_lastbase,
         $lang_Uf_in_addr_not_present,$lang_Uf_modify,$lang_Uf_no_squid_auth,
         $lang_Uf_add_all_please,$lang_Uf_default_rule;

  // Get the actual values
  if ($id) {
    $action="edit";
    $button=$lang_Uf_modify_source;
    $query = "select * from uf_rule where id='$id'";
    $result = db_exec($db,$query);
    $count = db_numrows($result);
    if ($count) {
      $name=db_result($result,0,"name");
      $network=db_result($result,0,"network");
      $group=db_result($result,0,"group");
    }
    else {
     $output="<FONT COLOR=FF0000>Rule $rule not found!</FONT>\n";
     return $output;
    }
  }
  else {
    $action="add_rule";
    $button=$lang_Uf_add_this_rule;
  }

  // Print the form of the rule parameters
  if ($name == "default") {
    $output.="<CENTER><I><B>$lang_Uf_default_rule</B></I></CENTER>\n";
  }
  else {
    if ($action=="edit") {
      $output.="<FORM>\n<TABLE WIDTH=100%>\n";
      $output.="<TR><TD>$lang_Uf_name</TD><TD><INPUT TYPE=text NAME=string VALUE=\"$name\" MAXLENGTH=16></TD>\n";
      $output.="<TD WIDTH=30%>\n";
      $output.="<INPUT TYPE=hidden NAME=action VALUE=edit_rule_name>\n";
      $output.="<INPUT TYPE=hidden NAME=rule VALUE=$id>\n";
      $output.="<INPUT TYPE=hidden NAME=updating VALUE=1>\n";
      $output.="<INPUT TYPE=submit VALUE=\"$lang_Uf_modify\"></TD></TR></FORM><FORM>\n";
    }
    else {
      $output.="<FORM>\n<TABLE WIDTH=100%>\n";
      $output.="<TR><TD>$lang_Uf_name</TD><TD><INPUT TYPE=text NAME=name VALUE=\"$name\" MAXLENGTH=16></TD></TR>\n";
    }
    $output.="<TR><TD COLSPAN=3 BGCOLOR=$first_tcolor><B>$lang_Uf_sources:</B></TD></TR>\n";
    $output.="<INPUT TYPE=hidden NAME=action VALUE=$action>\n";
    $output.="<INPUT TYPE=hidden NAME=rule VALUE=$id>\n";
    $output.="<TR><TD>$lang_Uf_network</TD><TD><SELECT NAME=network>\n";
    $output.="<OPTION VALUE=\"\"><I>$lang_Uf_default</I>\n";
    foreach (networks($db) as $net) {
      if ($network == $net) { $s=" selected"; }
      else { $s="";}
      $net_comment=network_comment($db,$net);
      if ($net_comment != "") { $net_comment="($net_comment)"; }
      $output.="<OPTION$s VALUE=\"$net\">$net $net_comment\n";
    }
    $output.="</SELECT></TD><TD></TD></TR>\n";
    if (!get_option($db,"SQUID_AUTH")) $lang_Uf_group="<FONT COLOR=AAAAAA>".$lang_Uf_group."</FONT>";
    $output.="<TR><TD>$lang_Uf_group</TD><TD><SELECT NAME=group>\n";
    $output.="<OPTION VALUE=\"\"><I>$lang_Uf_default</I>\n";
    if (get_option($db,"SQUID_AUTH")) {
      foreach (groups($db) as $gr) {
        if ($group == $gr) { $s=" selected"; }
        else { $s="";}
        $output.="<OPTION$s>$gr\n";
      }
    }
    $output.="</SELECT></TD>\n";
    if ($action == "add_rule") $output.="<TD></TD></TR><TR><TD ALIGN=CENTER COLSPAN=3>\n";
    else $output.="<TD ALIGN=LEFT COLSPAN=2>";
    $output.="<INPUT TYPE=submit VALUE=\"$button\"></TD></TR>\n";
    $output.="</TABLE></FORM>\n";

    if(!get_option($db,"SQUID_AUTH")) $output.="<P><CENTER>$lang_Uf_no_squid_auth</CENTER><P>";

  }

  // The list of bases into this rule
  if ($id) {
    $query = "select uf_base.name,uf_baselist.type,uf_baselist.id,uf_base.comment 
              from uf_baselist,uf_base 
              where uf_baselist.rule='$id' and uf_baselist.base=uf_base.id
              order by uf_baselist.id";
    $result = db_exec($db,$query);
    $count = db_numrows($result);
      $output.= "<P><TABLE WIDTH=100%><TR><TD COLSPAN=6 BGCOLOR=$first_tcolor><B>$lang_Uf_baselist:</B></TD></TR>\n";
      if (!$count) {
        $output.="<TR><TD COLSPAN=6><I>$lang_Uf_nobase</I></TD></TR>\n";
      }
      else { $lastbase=db_result($result,$count-1,"name");}
      $in_addr_present=0;
      $blocked_present=0;
      for ($index=0; $index < $count; $index++) {
        $bname=db_result($result,$index,"name");
        if ($bname=="in-addr") $in_addr_present=1;
        $type=db_result($result,$index,"type");
        if ($type == "block" && $bname!="publicite") {$blocked_present=1;}
        if ($type == "block") $type=$lang_Uf_block;
        else $type=$lang_Uf_pass;
        $output.="<TR>";
        // The trash
        $output.="<TD><A HREF=?action=del_baselist&rule=$id&base=".db_result($result,$index,"id") .">";
        $output.="<IMG ALT=\"Delete\" SRC=../images/trash.gif BORDER=0></A></TD>\n";

        // Arrows
        $cur_id=db_result($result,$index,"id");
        $prev_id=0;
        $next_id=0;
        if ($index!=0) {
          $prev_id=db_result($result,$index-1,"id");
        }
        if ($index != ($count-1)) {
          $next_id=db_result($result,$index+1,"id");
        }
        $output.="<TD>";
        if ($prev_id) {
          $output.="<A HREF=?action=swap_baselist&rule=$id&id1=$prev_id&id2=$cur_id>";
          $output.="<img src='../images/up_on.gif' border='0' alt='up_arrow' title=\"\"></A>";
        }
        else $output.="<img src='../images/up_off.gif' border='0' alt='up_arrow' title=\"\">";
        if ($next_id) {
          $output.="</TD><TD><A HREF=?action=swap_baselist&rule=$id&id1=$next_id&id2=$cur_id>";
          $output.="<img src='../images/down_on.gif' border='0' alt='up_arrow' title=\"\"></A></TD>";
        }
        else $output.="</TD><TD><img src='../images/down_off.gif' border='0' alt='up_arrow' title=\"\"></TD>";

        // The rest
        $output.="<TD>$type</TD>\n";
        $output.="<TD><B>$bname</B></TD>\n";
        $output.="<TD ALIGN=right><I>(".db_result($result,$index,"comment") .")</I></TD></TR>\n";
      }
      if ($lastbase!="all") {
        $output.="</TABLE>\n";
        $output.="<TABLE>\n<TR><TD>\n";
        $output.="<FORM>\n";
        $output.="<INPUT TYPE=Hidden NAME=action VALUE=add_baselist>\n";
        $output.="<INPUT TYPE=Hidden NAME=rule VALUE=$id>\n";
        $output.="<SELECT name=type>\n";
        $output.="<OPTION VALUE=block>$lang_Uf_block";
        $output.="<OPTION VALUE=pass>$lang_Uf_pass";
        $output.="</SELECT></TD>\n";
        $output.="<TD><SELECT NAME=base>\n";
        $query="select * from uf_base order by type desc";
        $result=db_exec($db,$query);
        $count=db_numrows($result);
        for ($index=0; $index < $count; $index++) {
          $id=db_result($result,$index,"id");
          $name=db_result($result,$index,"name");
          $comment=db_result($result,$index,"comment");
          $type=db_result($result,$index,"type");
          if ($type == "predef") { $ast="*";}
          else { $ast="";}
          $output.="<OPTION VALUE=$id>$ast $name ($comment)\n";
        }
        $output.="</SELECT></TD>\n";
        $output.="<TD><INPUT TYPE=Submit VALUE=$lang_Uf_add>\n";
        $output.="</TD></TR></TABLE></FORM>\n";
     }
     else {
       $output.="<TR><TD COLSPAN=6><BR><I>$lang_Uf_lastbase</I></TD></TR></TABLE>\n";
     }
     if (!$in_addr_present && $blocked_present) $output.="<CENTER>$lang_Uf_in_addr_not_present</CENTER>\n";
     if ($lastbase!="all") $output.="<P><CENTER>$lang_Uf_add_all_please</CENTER>\n";
  }
  return $output;
}

function add_rule($name,$network,$group,&$err) // Add a new rule and return her id or 0 if an error occured
{
  global $db;

  // Check if the name is not empty
  $name=trim($name);
  if ($name == "") {
    $err=1;
    return 0;
  }

  // Check if such a source does not already exists
  $network=trim($network);
  $group=trim($group);
  if ($network == "") {$expr1="(network is null or network='')";}
  else {$expr1="network = '$network'";}
  if ($group == "") {$expr2="(\"group\" is null or \"group\"='')";}
  else {$expr2="\"group\" = '$group'";}
  $query="select id from uf_rule where $expr1 and $expr2;";
  $result=db_exec($db,$query);
  $count=db_numrows($result);
  if ($count) {
    if ($group=="" && $network=="") {
      $err=3;
      return 0;
    }
    else {
      $err=2;
      return 0;
    }
  } 

  // Add the rule
  $query="insert into uf_rule (\"name\",\"network\",\"group\") values ('$name','$network','$group');";
  $result=db_exec($db,$query);
  if (!$result) {
    $err=4;
    return 0;
  }
  else {
    $query="select id from uf_rule where $expr1 and $expr2;";
    $result=db_exec($db,$query);
    $count=db_numrows($result);
    if ($count) {
      return db_result($result,0,"id");
    }
    else {
      $err=5;
      return 0;
    }
  }
}

function delete_rule($id) // Deletes a rule
{
  global $db;
  $query="delete from uf_rule where id='$id'";
  return db_exec($db,$query); 
}

function swap_rules($id1,$id2) // Swap two rules id
{ 
  global $db;
  // Get a temporary id 
  $query="select nextval('\"uf_rule_id_seq\"'::text) as id;";
  $result=db_exec($db,$query);
  $tmp_id=db_result($result,0,"id");
  
  // $id1 -> $tmp_id
  $query="update uf_rule set id='$tmp_id' where id='$id1';";
  $result=db_exec($db,$query);
  $query="update uf_baselist set rule='$tmp_id' where rule='$id1';";
  $result=db_exec($db,$query);

  // $id2 -> $id1
  $query="update uf_rule set id='$id1' where id='$id2';";
  $result=db_exec($db,$query);
  $query="update uf_baselist set rule='$id1' where rule='$id2';";
  $result=db_exec($db,$query);

  // $tmp_id -> $id2
  $query="update uf_rule set id='$id2' where id='$tmp_id';";
  $result=db_exec($db,$query);
  $query="update uf_baselist set rule='$id2' where rule='$tmp_id';";
  $result=db_exec($db,$query);
 
  return $result;
}
 
function add_baselist($rule,$type,$base) // Add a base to a rule
{
  global $db;
  $query="insert into uf_baselist (\"type\",\"rule\",\"base\") values ('$type','$rule','$base');";
  return db_exec($db,$query);
}

function del_baselist($id)	// Remove a base from a list
{
  global $db;
  $query="delete from uf_baselist where id='$id'";
  return db_exec($db,$query);
}

function swap_baselist($id1,$id2) // Swap two bases into a list
{
  global $db;
  // Get a temporary id
  $query="select nextval('\"uf_baselist_id_seq\"'::text) as id;";
  $result=db_exec($db,$query);
  $tmp_id=db_result($result,0,"id");

  // $id1 -> $tmp_id
  $query="update uf_baselist set id='$tmp_id' where id='$id1';";
  $result=db_exec($db,$query);

  // $id2 -> $id1
  $query="update uf_baselist set id='$id1' where id='$id2';";
  $result=db_exec($db,$query);

  // $tmp_id -> $id2
  $query="update uf_baselist set id='$id2' where id='$tmp_id';";
  $result=db_exec($db,$query);

  return $result;
}

function edit($name,$network,$group,$rule) 	// Do the edition of a rule. Returns 0 or error code.
{
  global $db;

  // Check if such a source does not already exists
  $network=trim($network);
  $group=trim($group);
  if ($network == "") {$expr1="(network is null or network='')";}
  else {$expr1="network = '$network'";}
  if ($group == "") {$expr2="(\"group\" is null or \"group\"='')";}
  else {$expr2="\"group\" = '$group'";}
  $query="select id from uf_rule where $expr1 and $expr2 and id!='$rule';";
  $result=db_exec($db,$query);
  $count=db_numrows($result);
  if ($count) {
    if ($group=="" && $network=="") {
      return 3;
    }
    else {
      return 2;
    }
  }

  // Update the rule
  $name=trim($name);
  if ($name!="") { $name_string="name='$name',"; }
  else $name_string="";
  $query="update uf_rule set ". $name_string. "network='$network',\"group\"='$group' where id=$rule;";
  db_exec($db,$query);
  if (!$result) {
    return 4;
  }
  else {
    return 0;
  } 
}

function edit_rule_name($rule,$name) // Change the name of a rule
{
  $name=trim($name);
  $name=preg_replace("/\W/","_",$name);
  if ($name != "") {
    global $db;
    $query="update uf_rule set name='$name' where id='$rule'";
    $result=db_exec($db,$query);
    return $result;
  }
  else return 1;
}

function list_bases() // List the bases
{
  global $db,$lang_Uf_add_base;
  $query="select * from uf_base order by type desc;";
  $result=db_exec($db,$query);
  $count=db_numrows($result);
  $output="<TABLE>\n";
  for ($index=0; $index < $count; $index++) {
    $id=db_result($result,$index,"id");
    $name=db_result($result,$index,"name");
    $comment=db_result($result,$index,"comment");
    $type=db_result($result,$index,"type");
    $output.="<TR><TD>";
    if ($type=="custom") {
      $base_name=urlencode($name);
      $output.="<A HREF=?action=del_base&base=$id&base_name=$base_name><IMG ALT=\"Delete\" BORDER=0 SRC=../images/trash.gif></A></TD><TD>\n";
      $output.="<A HREF=?action=edit_base&base=$id&base_name=$base_name>$name</A>";
    }
    else { $output.="</TD><TD>$name";}
    $output.="</TD><TD ALIGN=right><I>$comment</I></TD>\n";
    $output.="</TR>";
  }
  $output.="</TABLE>";
  $output.="<FORM><CENTER><INPUT type=hidden name=action value=edit_base>\n";
  $output.="<INPUT type=submit VALUE=\"$lang_Uf_add_base\"></CENTER></FORM>";
  return $output;
}

function edit_base_items($base,$item) // $item is one of "url", "domain" or "expression"
{
  global $db,$lang_Uf_add_item,$lang_Uf_empty_list,$base_name;
  $query="select * from uf_$item where base='$base' order by id;";
  $result=db_exec($db,$query);
  $count=db_numrows($result);
  if ($count) {
    $output="<TABLE>\n";
      for ($index=0; $index < $count; $index++) {
      $id=db_result($result,$index,"id");
      if ($item=="domain") { $string="*."; }
      else {$string="";}
      $string.=db_result($result,$index,$item);
      $output.="<TR><TD>";
      $ubase_name=urlencode($base_name);
      $output.="<A HREF=?action=del_base_item&base=$base&item=$item&id=$id&base_name=$ubase_name><IMG ALT=\"Delete\" BORDER=0 SRC=../images/trash.gif></A></TD>\n";
      $output.="<TD>$string</TD></TR>\n";
    }
    $output.="</TABLE>\n";
  }
  else {
    $output="<BR><I>$lang_Uf_empty_list</I>";
  }
  $output.="<FORM METHOD=GET>\n";
  $output.="<INPUT TYPE=hidden NAME=base VALUE=$base>\n";
  $output.="<INPUT TYPE=hidden NAME=base_name VALUE=\"$base_name\"A>\n";
  $output.="<INPUT TYPE=hidden NAME=item VALUE=$item>\n";
  $output.="<INPUT TYPE=hidden NAME=action VALUE=add_base_item>\n";
  $output.="<INPUT TYPE=text NAME=string SIZE=80 MAXLENGTH=255>\n";
  $output.="<INPUT TYPE=submit NAME=submit VALUE=$lang_Uf_add_item>\n";
  $output.="</FORM>\n"; 
  return $output;
}

function add_base_item($base,$item,$string) // Add an item to a base
{
  global $db;

  $string=trim($string);
  if ($string != "") {
    if ($item=="domain" || $item=="url") {
      $string=preg_replace("/^.*:\/\//","",$string);
      $string=preg_replace("/((www|web|ftp)[0-9]*\.)?/","",$string);
    }
    if ($item=="domain") {
      $string=preg_replace("/\/.*/","",$string);
    }
    $query="insert into uf_$item (\"base\",\"$item\") values ('$base','$string');";
    $result=db_exec($db,$query);
    return $result;
  }
  else return 1;
}

function del_base_item($base,$item,$id) // Del an item from a base
{
  global $db;
  $query="delete from uf_$item where base='$base' and id='$id'";
  $result=db_exec($db,$query);
  return $result;
}


function edit_base_name($base,$name) // Change the name of a custom base
{ 
  $name=trim($name);
  $name=preg_replace("/\W/","_",$name);
  if ($name != "") {
    global $db;
    $query="update uf_base set name='$name' where id='$base'";
    $result=db_exec($db,$query);
    return $result;
  }
  else return 1;
}

function edit_base_comment($base,$comment) // Change the comment of a custom base
{ 
  $comment=trim($comment);
  $comment=preg_replace("/ /","_SpAcE_",$comment);
  $comment=preg_replace("/\W/","_",$comment);
  $comment=preg_replace("/_SpAcE_/"," ",$comment);
  if ($comment != "") {
    global $db;
    $query="update uf_base set comment='$comment' where id='$base'";
    $result=db_exec($db,$query);
    return $result;
  }
  else return 1;
}

function del_base($base) // Delete a custom base
{
  global $db;
  $query="delete from uf_baselist where base='$base'";
  $result=db_exec($db,$query);
  $query="delete from uf_url where base='$base'";
  $result=db_exec($db,$query);
  $query="delete from uf_domain where base='$base'";
  $result=db_exec($db,$query);
  $query="delete from uf_expression where base='$base'";
  $result=db_exec($db,$query);
  $query="delete from uf_base where id='$base'";
  $result=db_exec($db,$query);
  return $result;
}

function edit_base($base) // Edit a custom base (FORMS)
{
 global $db,$lang_Uf_url_list,$lang_Uf_domain_list,$lang_Uf_expression_list,
        $lang_Uf_name,$lang_Uf_modify,$lang_Uf_comment,$to_apply,$QUEUE;

 // Touch a tag if something has to be validated
 if ($to_apply) {
   touch("$QUEUE/url_filters");
 }

 # Create e new base
 if (!$base) {
   $query="insert into uf_base (\"name\",\"type\") values ('new base','custom');";
   $result=db_exec($db,$query);
   $oid = pg_last_oid ($result);
   $query="select id from uf_base where oid='$oid';";
   $result=db_exec($db,$query);
   $base=db_result($result,0,"id");
   edit_base_name($base,"custom$base");
   edit_base_comment($base,"Custom base No $base");
 }
 
 # Edit the base
 if ($base) {
   $query="select name,comment from uf_base where id='$base'";
   $result=db_exec($db,$query);
   $count=db_numrows($result);
   if ($count) {
     $name=db_result($result,0,"name");
     $comment=db_result($result,0,"comment");
     $output ="<TABLE><FORM><TR>\n";
     $output.="<TD><INPUT TYPE=hidden NAME=action VALUE=edit_base_name>\n";
     $output.="<INPUT TYPE=hidden NAME=base VALUE=$base>\n";
     $output.="<INPUT TYPE=hidden NAME=updating VALUE=1>\n";
     $output.="<B>$lang_Uf_name</B>:</TD>\n";
     $output.="<TD><INPUT TYPE=text NAME=string VALUE=\"$name\" MAXLENGTH=16 SIZE=16>\n";
     $output.="<INPUT TYPE=submit NAME=submit VALUE=\"$lang_Uf_modify\">\n";
     $output.="</TD></TR></FORM>\n";
     $output.="<FORM><TR><TD>\n";
     $output.="<INPUT TYPE=hidden NAME=action VALUE=edit_base_comment>\n";
     $output.="<INPUT TYPE=hidden NAME=base VALUE=$base>\n";
     $output.="<INPUT TYPE=hidden NAME=base_name VALUE=\"$name\">\n";
     $output.="<INPUT TYPE=hidden NAME=updating VALUE=1>\n";
     $output.="<B>$lang_Uf_comment</B>:</TD>\n";
     $output.="<TD><INPUT TYPE=text NAME=string VALUE=\"$comment\" MAXLENGTH=64 SIZE=64>\n";
     $output.="<INPUT TYPE=submit NAME=submit VALUE=\"$lang_Uf_modify\">\n";
     $output.= "</FORM></TD></TR></TABLE><P><HR>\n"; 
     $output.="<B>$lang_Uf_url_list</B> (ex: www.skyrock.com/skynautes/chat/home.phtm):\n";
     $output.=edit_base_items($base,"url");
     $output.="<P><HR><B>$lang_Uf_domain_list</B> (ex: tchatche.com):". edit_base_items($base,"domain");
     $output.="<P><HR><B>$lang_Uf_expression_list</B> (ex: \.mp3$):". edit_base_items($base,"expression");
     return $output;
   }
   else {
     return "<FONT COLOR=FF0000>BASE $base not found!</FONT>";
   }
 }
 else return 1;
}

function auto_blacklist() 	// Automagically configure the default rule
{
  global $db;
  $query="select * from uf_rule where (network='' or network is null) and (\"group\"='' or \"group\" is null);";
  $result=db_exec($db,$query);
  $count=db_numrows($result);
  if ($count) {
    $id=db_result($result,0,"id");
    // Emptying the rule
    $query="delete from uf_baselist where rule='$id'";
    $result=db_exec($db,$query);
    // Adding the adult base
    $query="select id from uf_base where name='adult' and type='predef'";
    $result=db_exec($db,$query);
    add_baselist($id,"block",db_result($result,0,"id"));    
    // Adding the in-addr base
    $query="select id from uf_base where name='in-addr' and type='predef'";
    $result=db_exec($db,$query);
    add_baselist($id,"block",db_result($result,0,"id"));    
    // Adding the warez base
    $query="select id from uf_base where name='warez' and type='predef'";
    $result=db_exec($db,$query);
    add_baselist($id,"block",db_result($result,0,"id"));    
    // Adding the forums base
    $query="select id from uf_base where name='forums' and type='predef'";
    $result=db_exec($db,$query);
    add_baselist($id,"block",db_result($result,0,"id"));    
    // Adding the publicite base
    $query="select id from uf_base where name='publicite' and type='predef'";
    $result=db_exec($db,$query);
    add_baselist($id,"block",db_result($result,0,"id"));    
    // Adding the academie base
    $query="select id from uf_base where name='academie' and type='predef'";
    $result=db_exec($db,$query);
    add_baselist($id,"block",db_result($result,0,"id"));    
    // Adding the adult base
    $query="select id from uf_base where name='all' and type='predef'";
    $result=db_exec($db,$query);
    add_baselist($id,"pass",db_result($result,0,"id"));    

    return $id;
  }
  else return 0;
}
