#!/usr/bin/perl
# $Id: mkoucomps.pl,v 1.1 2004/01/29 08:47:25 bzizou Exp $
# This scripts creates the Computer ou into the LDAP server for Samba
  

  # Load the SLIS lib and variables
  do ('/usr/local/lib/slis-sys.inc.pl');
  load_config();
  

  $SECRET=`cat /etc/openldap/secret`; chomp($SECRET);
  $LDAPADD="/usr/bin/ldapadd -D \"$LDAP_ROOT_DN\" -x -w $SECRET";

  $RND=rand 10000;

  ($TOP)=split(/,/,$BASE_DN);
  $TOP=~s/=/: /;
  ($OBJECT)=split(/:/,$TOP);
  if ($OBJECT eq "ou") { $OBJECTCLASS="objectclass: organizationalUnit"; }
  elsif ($OBJECT eq "o") { $OBJECTCLASS="objectclass: organization"; }
  elsif ($OBJECT eq "dc") { $OBJECTCLASS="objectclass: dcObject"; }
  else { print("warning","Use o,ou or dc for your top object in BASE_DN. Ldap server may not work...");}
  ($COMPS_OU)=split(/,/,$LDAP_COMPS);
  $COMPS_OU=~s/=/: /;

  open (LDIF,">/tmp/initldap.$RND");
  print LDIF "
dn: $LDAP_COMPS
objectclass: top
objectclass: organizationalUnit
$COMPS_OU
";

  close(LDIF);
  $ldapadd_err=`$LDAPADD -f /tmp/initldap.$RND 2>&1 1>/dev/null`;
  log_msg($ldapadd_err);

  unlink ("/tmp/initldap.$RND");

